

--**========================================================================
--**========================================================================
insert ignore bjn_tableState values('acComp',0,0,0,'');
insert ignore bjn_tableState values('acCode',0,0,0,'');
insert ignore bjn_tableState values('acDetail',0,0,0,'');
insert ignore bjn_tableState values('acMemo',0,0,0,'');
insert ignore bjn_tableState values('acPerem',0,0,0,'');


--**========================================================================
--**========================================================================
create table if not exists `acComp`(
	`id` varchar(4) not null default '',
	`name` varchar(30) not null default '',
	`fullName` varchar(100) not null default '',
	`reportName` varchar(30) not null default '',
	`work` varchar(10) not null default '',
	`begin` varchar(10) not null default '',
	`state` tinyint unsigned not null default 1,
	`accType` tinyint unsigned not null default 0,
	`memo` varchar(250) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB ;


insert ignore acComp (id,begin,work,creater,createTime) values ('001',date_format([##NOW],'%Y-%m'),date_format([##NOW],'%Y-%m'),'#sys',[##NOW]);
select @xcount := count(id) from acComp; 
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='acComp'; 


--**========================================================================


--**========================================================================
create table if not exists `acCodeList`(
	`acCompId` varchar(4) not null default '',
 	`acCodeId` varchar(10) not null default '',
	`begin` decimal(19,4) not null default 0,
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
		
	primary key (acCompId,acCodeId)
) type=InnoDB ;



--**========================================================================
create table if not exists `acDetailList`(
	`acCompId` varchar(4) not null default '',
 	`acDetailId` varchar(20) not null default '',
	`begin` decimal(19,4) not null default 0,
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
		
	primary key (acCompId,acDetailId)
) type=InnoDB ;



--**========================================================================
create table if not exists `acCode`(
	`id` varchar(10) not null default '',
	`name` varchar(100) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB ;


--**========================================================================
create table if not exists `acDetail`(
	`id` varchar(20) not null default '',
	`name` varchar(100) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`money` decimal(19,4) not null default 0,
	`mnyUpdater` varchar(50) not null default '',
	`mnyUpdateTime` datetime not null default '0001-1-1',
	`codeId` varchar(10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_codeId` (codeId)
) type=InnoDB ;


--**========================================================================
create table if not exists `acMemo`(
	`id` varchar(20) not null default '',
	`memo` varchar(100) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB ;


--**========================================================================
create table if not exists `acPerem` (
	`listNo` varchar (20) not null default '',
	`acCompId` varchar (4) not null default '',
	`tsDate` date not null default '0001-1-1',
	`swType` tinyint unsigned not null default 3,
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`memo` varchar (250) not null default '',
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`HrId` varchar (10) not null default '',
	`deparId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_acCompId_tsDate` (acCompId,tsDate),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `acPeremDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`acCompId` varchar (4) not null default '',
	`tsDate` date not null default '0001-1-1',
	`acCodeId` varchar (10) not null default '',
	`acDetailId` varchar (10) not null default '',
	`dMoney` decimal(19,4) not null default 0,
	`cMoney` decimal(19,4) not null default 0,
	`memo` varchar (100) not null default '',
	`deparId` varchar (10) not null default '',
	`batchNo` varchar (30) not null default '',
	
	primary key (rela,no), 
	index `ix_acCompId_tsDate` (acCompId,tsDate),
	index `ix_acCompId_acCodeId_tsDate` (acCompId,acCodeId,tsDate)
) type=InnoDB;









--**========================================================================
--**========================================================================

--**========================================================================

--**========================================================================



--**========================================================================


--**========================================================================
create table if not exists `acCode_work`(
	`lang` varchar(5) not null default '',
	`id` varchar(10) not null default '',
	`name` varchar(100) not null default '',
	primary key (lang,id)
) type=InnoDB;

insert ignore acCode_work set lang='tw',id='1',name='******資    產******';
insert ignore acCode_work set lang='tw',id='11',name='------流動資產------';
insert ignore acCode_work set lang='tw',id='1101',name='現    金';
insert ignore acCode_work set lang='tw',id='1102',name='銀行存款--甲存';
insert ignore acCode_work set lang='tw',id='1103',name='銀行存款--乙存';
insert ignore acCode_work set lang='tw',id='1104',name='聯行往來';
insert ignore acCode_work set lang='tw',id='1105',name='零 用 金';
insert ignore acCode_work set lang='tw',id='1131',name='有價證券';
insert ignore acCode_work set lang='tw',id='1132',name='短期投資';
insert ignore acCode_work set lang='tw',id='1141',name='應收票據';
insert ignore acCode_work set lang='tw',id='1143',name='備抵呆帳-應收票據';
insert ignore acCode_work set lang='tw',id='1144',name='應收帳款';
insert ignore acCode_work set lang='tw',id='1145',name='備抵呆帳-應收帳款';
insert ignore acCode_work set lang='tw',id='1146',name='應收刷卡帳款';
insert ignore acCode_work set lang='tw',id='1147',name='應收分期帳款';
insert ignore acCode_work set lang='tw',id='1159',name='其他應收款';
insert ignore acCode_work set lang='tw',id='1160',name='備抵呆帳-其他應收款';
insert ignore acCode_work set lang='tw',id='1161',name='進項稅額';
insert ignore acCode_work set lang='tw',id='1201',name='存    貨';
insert ignore acCode_work set lang='tw',id='1205',name='在途商品';
insert ignore acCode_work set lang='tw',id='1250',name='預付款項';
insert ignore acCode_work set lang='tw',id='1251',name='預付費用';
insert ignore acCode_work set lang='tw',id='1252',name='用品盤存';
insert ignore acCode_work set lang='tw',id='1256',name='預付貨款';
insert ignore acCode_work set lang='tw',id='1268',name='其他預付款';
insert ignore acCode_work set lang='tw',id='1271',name='其他流動資產';
insert ignore acCode_work set lang='tw',id='1272',name='暫 付 款';
insert ignore acCode_work set lang='tw',id='1400',name='基    金';
insert ignore acCode_work set lang='tw',id='1402',name='職工福利基金';
insert ignore acCode_work set lang='tw',id='1403',name='職工退職基金';
insert ignore acCode_work set lang='tw',id='1404',name='退休基金';
insert ignore acCode_work set lang='tw',id='1407',name='銷貨折扣';
insert ignore acCode_work set lang='tw',id='1429',name='其他基金';
insert ignore acCode_work set lang='tw',id='1440',name='長其投資';
insert ignore acCode_work set lang='tw',id='15',name='------固定資產------';
insert ignore acCode_work set lang='tw',id='1501',name='土    地';
insert ignore acCode_work set lang='tw',id='1508',name='雜項設備';
insert ignore acCode_work set lang='tw',id='1531',name='房屋及建築';
insert ignore acCode_work set lang='tw',id='1532',name='累計折舊-房屋及建築';
insert ignore acCode_work set lang='tw',id='1534',name='辨公設備-A';
insert ignore acCode_work set lang='tw',id='1535',name='累計折舊-辨公設備-A';
insert ignore acCode_work set lang='tw',id='1536',name='辨公設備-B';
insert ignore acCode_work set lang='tw',id='1537',name='累計折舊-辨公設備-B';
insert ignore acCode_work set lang='tw',id='1541',name='影印設備';
insert ignore acCode_work set lang='tw',id='1542',name='累計折舊-影印設備';
insert ignore acCode_work set lang='tw',id='1551',name='運輸設備';
insert ignore acCode_work set lang='tw',id='1552',name='累計折舊-運輸設備';
insert ignore acCode_work set lang='tw',id='1561',name='機械設備';
insert ignore acCode_work set lang='tw',id='1562',name='累計折舊-機械設備';
insert ignore acCode_work set lang='tw',id='1571',name='生財器具';
insert ignore acCode_work set lang='tw',id='1572',name='累計折舊-生財器具';
insert ignore acCode_work set lang='tw',id='1591',name='未完工程';
insert ignore acCode_work set lang='tw',id='1592',name='預付購置設備款';
insert ignore acCode_work set lang='tw',id='1651',name='其他固定資產';
insert ignore acCode_work set lang='tw',id='1652',name='累計折舊';
insert ignore acCode_work set lang='tw',id='18',name='------其他資產------';
insert ignore acCode_work set lang='tw',id='1811',name='存出保證金';
insert ignore acCode_work set lang='tw',id='1821',name='開 辦 費';
insert ignore acCode_work set lang='tw',id='1866',name='未攤費用';
insert ignore acCode_work set lang='tw',id='1867',name='代付款項';
insert ignore acCode_work set lang='tw',id='1868',name='結轉下期';
insert ignore acCode_work set lang='tw',id='1869',name='頂能往來';
insert ignore acCode_work set lang='tw',id='1870',name='累積盈虧';
insert ignore acCode_work set lang='tw',id='1990',name='其    他';

insert ignore acCode_work set lang='tw',id='2',name='******負    債******';
insert ignore acCode_work set lang='tw',id='21',name='------流動負債------';
insert ignore acCode_work set lang='tw',id='2100',name='短期借款';
insert ignore acCode_work set lang='tw',id='2101',name='銀行透支';
insert ignore acCode_work set lang='tw',id='2102',name='銀行借款';
insert ignore acCode_work set lang='tw',id='2103',name='應付商業本票';
insert ignore acCode_work set lang='tw',id='2109',name='其他短期借款';
insert ignore acCode_work set lang='tw',id='2140',name='應付款項';
insert ignore acCode_work set lang='tw',id='2141',name='應付票據';
insert ignore acCode_work set lang='tw',id='2143',name='應付帳款';
insert ignore acCode_work set lang='tw',id='2145',name='應付代收款';
insert ignore acCode_work set lang='tw',id='2147',name='應付費用';
insert ignore acCode_work set lang='tw',id='2148',name='應付稅捐';
insert ignore acCode_work set lang='tw',id='2154',name='應付股利';
insert ignore acCode_work set lang='tw',id='2155',name='銷項稅額';
insert ignore acCode_work set lang='tw',id='2156',name='應付刷卡帳款';
insert ignore acCode_work set lang='tw',id='2157',name='應付分期帳款';
insert ignore acCode_work set lang='tw',id='2179',name='其他應付款';
insert ignore acCode_work set lang='tw',id='2250',name='預收款項';
insert ignore acCode_work set lang='tw',id='2251',name='預收貨款';
insert ignore acCode_work set lang='tw',id='2259',name='其他預收款';
insert ignore acCode_work set lang='tw',id='2261',name='暫 收 款';
insert ignore acCode_work set lang='tw',id='2262',name='其他流動負債';
insert ignore acCode_work set lang='tw',id='25',name='------長期負債------';
insert ignore acCode_work set lang='tw',id='2501',name='應付公司債券';
insert ignore acCode_work set lang='tw',id='2504',name='長期借款';
insert ignore acCode_work set lang='tw',id='2600',name='其他長期負債';
insert ignore acCode_work set lang='tw',id='28',name='------其他負債------';
insert ignore acCode_work set lang='tw',id='2801',name='存入保證金';
insert ignore acCode_work set lang='tw',id='2802',name='土地增值稅準備';
insert ignore acCode_work set lang='tw',id='2803',name='兌換損失準備';
insert ignore acCode_work set lang='tw',id='2804',name='退休金準備';
insert ignore acCode_work set lang='tw',id='2805',name='外銷損失準備';
insert ignore acCode_work set lang='tw',id='2806',name='暫估年終獎金';
insert ignore acCode_work set lang='tw',id='2807',name='暫估準備金';
insert ignore acCode_work set lang='tw',id='2865',name='應付保證票據';
insert ignore acCode_work set lang='tw',id='2876',name='受託承銷品';
insert ignore acCode_work set lang='tw',id='2890',name='代收款項';
insert ignore acCode_work set lang='tw',id='2980',name='代收稅款';
insert ignore acCode_work set lang='tw',id='2990',name='其    他';

insert ignore acCode_work set lang='tw',id='3',name='******股東權益******';
insert ignore acCode_work set lang='tw',id='31',name='------投入資本------';
insert ignore acCode_work set lang='tw',id='3101',name='資 本';
insert ignore acCode_work set lang='tw',id='3105',name='資本主往來';
insert ignore acCode_work set lang='tw',id='32',name='-----公債及盈餘-----';
insert ignore acCode_work set lang='tw',id='3201',name='法定公債';
insert ignore acCode_work set lang='tw',id='3202',name='特別公債';
insert ignore acCode_work set lang='tw',id='3210',name='增值準備';
insert ignore acCode_work set lang='tw',id='3211',name='累積盈虧';
insert ignore acCode_work set lang='tw',id='3218',name='本期損益';
insert ignore acCode_work set lang='tw',id='3301',name='前期損益';
insert ignore acCode_work set lang='tw',id='3302',name='本期保留';

insert ignore acCode_work set lang='tw',id='4',name='******營業收入******';
insert ignore acCode_work set lang='tw',id='41',name='------營業收入------';
insert ignore acCode_work set lang='tw',id='4101',name='銷貨收入';
insert ignore acCode_work set lang='tw',id='4102',name='銷貨退回';
insert ignore acCode_work set lang='tw',id='4104',name='銷貨折讓';
insert ignore acCode_work set lang='tw',id='4106',name='銷貨退回現扣';
insert ignore acCode_work set lang='tw',id='4107',name='銷貨折扣';
insert ignore acCode_work set lang='tw',id='4108',name='銷貨調整';
insert ignore acCode_work set lang='tw',id='4111',name='門市收入';
insert ignore acCode_work set lang='tw',id='4112',name='門市退回';
insert ignore acCode_work set lang='tw',id='4113',name='門市折讓';
insert ignore acCode_work set lang='tw',id='4609',name='其他營業收入';

insert ignore acCode_work set lang='tw',id='5',name='******營業成本******';
insert ignore acCode_work set lang='tw',id='51',name='------銷貨成本------';
insert ignore acCode_work set lang='tw',id='5101',name='銷貨成本';
insert ignore acCode_work set lang='tw',id='5102',name='門市成本';
insert ignore acCode_work set lang='tw',id='5103',name='銷貨佣金';
insert ignore acCode_work set lang='tw',id='5201',name='進    貨';
insert ignore acCode_work set lang='tw',id='5203',name='進貨退出';
insert ignore acCode_work set lang='tw',id='5204',name='進貨折讓';
insert ignore acCode_work set lang='tw',id='5205',name='材料';
insert ignore acCode_work set lang='tw',id='59',name='----其他營業成本----';
insert ignore acCode_work set lang='tw',id='5901',name='其他營業成本';

insert ignore acCode_work set lang='tw',id='6',name='******營業費用******';
insert ignore acCode_work set lang='tw',id='61',name='------營業費用------';
insert ignore acCode_work set lang='tw',id='6101',name='薪資費用';
insert ignore acCode_work set lang='tw',id='6102',name='租金支出';
insert ignore acCode_work set lang='tw',id='6103',name='文具用品';
insert ignore acCode_work set lang='tw',id='6104',name='旅    費';
insert ignore acCode_work set lang='tw',id='6105',name='運    費';
insert ignore acCode_work set lang='tw',id='6106',name='郵 電 費';
insert ignore acCode_work set lang='tw',id='6107',name='修 繕 費';
insert ignore acCode_work set lang='tw',id='6108',name='廣 告 費';
insert ignore acCode_work set lang='tw',id='6109',name='水 電 費';
insert ignore acCode_work set lang='tw',id='6110',name='保 險 費';
insert ignore acCode_work set lang='tw',id='6111',name='交 際 費';
insert ignore acCode_work set lang='tw',id='6112',name='捐    贈';
insert ignore acCode_work set lang='tw',id='6113',name='稅    捐';
insert ignore acCode_work set lang='tw',id='6114',name='呆帳損失';
insert ignore acCode_work set lang='tw',id='6115',name='折    舊';
insert ignore acCode_work set lang='tw',id='6116',name='各項攤銷';
insert ignore acCode_work set lang='tw',id='6117',name='外幣兌換捐失';
insert ignore acCode_work set lang='tw',id='6118',name='伙 食 費';
insert ignore acCode_work set lang='tw',id='6119',name='福利金';
insert ignore acCode_work set lang='tw',id='6120',name='退職金';
insert ignore acCode_work set lang='tw',id='6220',name='研 究 費';
insert ignore acCode_work set lang='tw',id='6221',name='佣金支出';
insert ignore acCode_work set lang='tw',id='6222',name='職業訓練費';
insert ignore acCode_work set lang='tw',id='6223',name='燃 料 費';
insert ignore acCode_work set lang='tw',id='6224',name='雜項支出';
insert ignore acCode_work set lang='tw',id='6225',name='準備金';
insert ignore acCode_work set lang='tw',id='6299',name='其他費用';
insert ignore acCode_work set lang='tw',id='6300',name='設計費';
insert ignore acCode_work set lang='tw',id='6301',name='交通費';
insert ignore acCode_work set lang='tw',id='6302',name='書報費';
insert ignore acCode_work set lang='tw',id='6303',name='勞務費';
insert ignore acCode_work set lang='tw',id='6304',name='薪資-年終獎金';

insert ignore acCode_work set lang='tw',id='7',name='*****營業外收入*****';
insert ignore acCode_work set lang='tw',id='71',name='-----營業外收入-----';
insert ignore acCode_work set lang='tw',id='7101',name='利息收入';
insert ignore acCode_work set lang='tw',id='7102',name='維修收入';
insert ignore acCode_work set lang='tw',id='7105',name='投資收入';
insert ignore acCode_work set lang='tw',id='7106',name='財產交易增益';
insert ignore acCode_work set lang='tw',id='7107',name='盤存盈餘';
insert ignore acCode_work set lang='tw',id='7108',name='軟體收入';
insert ignore acCode_work set lang='tw',id='7201',name='佣金收入';
insert ignore acCode_work set lang='tw',id='7202',name='商品盤餘';
insert ignore acCode_work set lang='tw',id='7203',name='兌換盈益';
insert ignore acCode_work set lang='tw',id='7204',name='教學收入';
insert ignore acCode_work set lang='tw',id='7299',name='其他營業外收入';

insert ignore acCode_work set lang='tw',id='8',name='*****營業外支出*****';
insert ignore acCode_work set lang='tw',id='81',name='-----營業外支出-----';
insert ignore acCode_work set lang='tw',id='8101',name='利息支出';
insert ignore acCode_work set lang='tw',id='8102',name='教學費用';
insert ignore acCode_work set lang='tw',id='8103',name='投資損失';
insert ignore acCode_work set lang='tw',id='8104',name='財產交易損失';
insert ignore acCode_work set lang='tw',id='8105',name='災害損失';
insert ignore acCode_work set lang='tw',id='8107',name='商品盤損';
insert ignore acCode_work set lang='tw',id='8109',name='兌換損失';
insert ignore acCode_work set lang='tw',id='8199',name='其他營業外費用';


insert ignore acCode_work set lang='cn',id='1',name='******资    产******';
insert ignore acCode_work set lang='cn',id='11',name='------流动资产------';
insert ignore acCode_work set lang='cn',id='1101',name='现    金';
insert ignore acCode_work set lang='cn',id='1103',name='银行存款';
insert ignore acCode_work set lang='cn',id='1104',name='联行往来';
insert ignore acCode_work set lang='cn',id='1105',name='零 用 金';
insert ignore acCode_work set lang='cn',id='1131',name='有价证券';
insert ignore acCode_work set lang='cn',id='1132',name='短期投资';
insert ignore acCode_work set lang='cn',id='1141',name='应收票据';
insert ignore acCode_work set lang='cn',id='1143',name='备抵呆帐-应收票据';
insert ignore acCode_work set lang='cn',id='1144',name='应收帐款';
insert ignore acCode_work set lang='cn',id='1145',name='备抵呆帐-应收帐款';
insert ignore acCode_work set lang='cn',id='1146',name='应收刷卡帐款';
insert ignore acCode_work set lang='cn',id='1147',name='应收分期帐款';
insert ignore acCode_work set lang='cn',id='1159',name='其他应收款';
insert ignore acCode_work set lang='cn',id='1160',name='备抵呆帐-其他应收款';
insert ignore acCode_work set lang='cn',id='1161',name='进项税额';
insert ignore acCode_work set lang='cn',id='1162',name='留抵税额';
insert ignore acCode_work set lang='cn',id='1201',name='存    货';
insert ignore acCode_work set lang='cn',id='1205',name='在途商品';
insert ignore acCode_work set lang='cn',id='1250',name='预付款项';
insert ignore acCode_work set lang='cn',id='1251',name='预付费用';
insert ignore acCode_work set lang='cn',id='1252',name='用品盘存';
insert ignore acCode_work set lang='cn',id='1256',name='预付货款';
insert ignore acCode_work set lang='cn',id='1268',name='其他预付款';
insert ignore acCode_work set lang='cn',id='1271',name='其他流动资产';
insert ignore acCode_work set lang='cn',id='1272',name='暂 付 款';
insert ignore acCode_work set lang='cn',id='1400',name='基    金';
insert ignore acCode_work set lang='cn',id='1404',name='退休基金';
insert ignore acCode_work set lang='cn',id='1407',name='销货折扣';
insert ignore acCode_work set lang='cn',id='1429',name='其他基金';
insert ignore acCode_work set lang='cn',id='1440',name='长其投资';
insert ignore acCode_work set lang='cn',id='15',name='------固定资产------';
insert ignore acCode_work set lang='cn',id='1501',name='土    地';
insert ignore acCode_work set lang='cn',id='1508',name='杂项设备';
insert ignore acCode_work set lang='cn',id='1531',name='房屋及建筑';
insert ignore acCode_work set lang='cn',id='1532',name='累积折旧-房屋及建筑';
insert ignore acCode_work set lang='cn',id='1534',name='辨公设备-A';
insert ignore acCode_work set lang='cn',id='1535',name='累积折旧-辨公设备-A';
insert ignore acCode_work set lang='cn',id='1536',name='辨公设备-B';
insert ignore acCode_work set lang='cn',id='1537',name='累积折旧-辨公设备-B';
insert ignore acCode_work set lang='cn',id='1541',name='影印设备';
insert ignore acCode_work set lang='cn',id='1542',name='累积折旧-影印设备';
insert ignore acCode_work set lang='cn',id='1551',name='运输设备';
insert ignore acCode_work set lang='cn',id='1552',name='累积折旧-运输设备';
insert ignore acCode_work set lang='cn',id='1561',name='机械设备';
insert ignore acCode_work set lang='cn',id='1562',name='累积折旧-机械设备';
insert ignore acCode_work set lang='cn',id='1571',name='生财器具';
insert ignore acCode_work set lang='cn',id='1572',name='累积折旧-生财器具';
insert ignore acCode_work set lang='cn',id='1591',name='未完工程';
insert ignore acCode_work set lang='cn',id='1592',name='预付购置设备款';
insert ignore acCode_work set lang='cn',id='1651',name='其他固定资产';
insert ignore acCode_work set lang='cn',id='1652',name='累积折旧';
insert ignore acCode_work set lang='cn',id='18',name='------其他资产------';
insert ignore acCode_work set lang='cn',id='1811',name='存出保证金';
insert ignore acCode_work set lang='cn',id='1821',name='开 办 费';
insert ignore acCode_work set lang='cn',id='1866',name='未摊费用';
insert ignore acCode_work set lang='cn',id='1867',name='代付款项';
insert ignore acCode_work set lang='cn',id='1868',name='结转下期';
insert ignore acCode_work set lang='cn',id='1869',name='顶能往来';
insert ignore acCode_work set lang='cn',id='1870',name='累积盈亏';
insert ignore acCode_work set lang='cn',id='1990',name='其    他';

insert ignore acCode_work set lang='cn',id='2',name='******负    债******';
insert ignore acCode_work set lang='cn',id='21',name='------流动负债------';
insert ignore acCode_work set lang='cn',id='2100',name='短期借款';
insert ignore acCode_work set lang='cn',id='2101',name='银行透支';
insert ignore acCode_work set lang='cn',id='2102',name='银行借款';
insert ignore acCode_work set lang='cn',id='2131',name='应付商业本票';
insert ignore acCode_work set lang='cn',id='2132',name='其他短期借款';
insert ignore acCode_work set lang='cn',id='2140',name='应付款项';
insert ignore acCode_work set lang='cn',id='2141',name='应付票据';
insert ignore acCode_work set lang='cn',id='2143',name='应付帐款';
insert ignore acCode_work set lang='cn',id='2145',name='应付代收款';
insert ignore acCode_work set lang='cn',id='2147',name='应付费用';
insert ignore acCode_work set lang='cn',id='2148',name='应付税捐';
insert ignore acCode_work set lang='cn',id='2154',name='应付股利';
insert ignore acCode_work set lang='cn',id='2155',name='销项税额';
insert ignore acCode_work set lang='cn',id='2156',name='应付刷卡帐款';
insert ignore acCode_work set lang='cn',id='2157',name='应付分期帐款';
insert ignore acCode_work set lang='cn',id='2179',name='其他应付款';
insert ignore acCode_work set lang='cn',id='2250',name='预收款项';
insert ignore acCode_work set lang='cn',id='2251',name='预收货款';
insert ignore acCode_work set lang='cn',id='2259',name='其他预收款';
insert ignore acCode_work set lang='cn',id='2261',name='暂 收 款';
insert ignore acCode_work set lang='cn',id='2262',name='其他流动负债';
insert ignore acCode_work set lang='cn',id='25',name='------长期负债------';
insert ignore acCode_work set lang='cn',id='2501',name='应付公司债券';
insert ignore acCode_work set lang='cn',id='2504',name='长期借款';
insert ignore acCode_work set lang='cn',id='2600',name='其他长期负债';
insert ignore acCode_work set lang='cn',id='28',name='------其他负债------';
insert ignore acCode_work set lang='cn',id='2801',name='存入保证金';
insert ignore acCode_work set lang='cn',id='2802',name='土地增值税准备';
insert ignore acCode_work set lang='cn',id='2803',name='兑换损失准备';
insert ignore acCode_work set lang='cn',id='2804',name='退休金准备';
insert ignore acCode_work set lang='cn',id='2805',name='外销损失准备';
insert ignore acCode_work set lang='cn',id='2806',name='暂估年终奖金';
insert ignore acCode_work set lang='cn',id='2807',name='暂估准备金';
insert ignore acCode_work set lang='cn',id='2865',name='应付保证票据';
insert ignore acCode_work set lang='cn',id='2876',name='受托承销品';
insert ignore acCode_work set lang='cn',id='2890',name='代收款项';
insert ignore acCode_work set lang='cn',id='2980',name='代收税款';
insert ignore acCode_work set lang='cn',id='2990',name='其    他';

insert ignore acCode_work set lang='cn',id='3',name='******业主权益******';
insert ignore acCode_work set lang='cn',id='31',name='------投入资本------';
insert ignore acCode_work set lang='cn',id='3101',name='资 本';
insert ignore acCode_work set lang='cn',id='3105',name='资本主往来';
insert ignore acCode_work set lang='cn',id='32',name='-----公积及盈余-----';
insert ignore acCode_work set lang='cn',id='3201',name='法定盈余公积';
insert ignore acCode_work set lang='cn',id='3202',name='特别盈余公积';
insert ignore acCode_work set lang='cn',id='3210',name='增值准备';
insert ignore acCode_work set lang='cn',id='3211',name='累积盈亏';
insert ignore acCode_work set lang='cn',id='3218',name='本期损益';
insert ignore acCode_work set lang='cn',id='3301',name='前期损益';
insert ignore acCode_work set lang='cn',id='3302',name='本期保留';

insert ignore acCode_work set lang='cn',id='4',name='******营业收入******';
insert ignore acCode_work set lang='cn',id='41',name='------营业收入------';
insert ignore acCode_work set lang='cn',id='4101',name='销货收入';
insert ignore acCode_work set lang='cn',id='4102',name='销货退回';
insert ignore acCode_work set lang='cn',id='4104',name='销货折让';
insert ignore acCode_work set lang='cn',id='4106',name='销货退回现扣';
insert ignore acCode_work set lang='cn',id='4107',name='销货折扣';
insert ignore acCode_work set lang='cn',id='4108',name='销货调整';
insert ignore acCode_work set lang='cn',id='4111',name='门市收入';
insert ignore acCode_work set lang='cn',id='4112',name='门市退回';
insert ignore acCode_work set lang='cn',id='4113',name='门市折让';
insert ignore acCode_work set lang='cn',id='4609',name='其他营业收入';

insert ignore acCode_work set lang='cn',id='5',name='******营业成本******';
insert ignore acCode_work set lang='cn',id='51',name='------销货成本------';
insert ignore acCode_work set lang='cn',id='5101',name='销货成本';
insert ignore acCode_work set lang='cn',id='5102',name='门市成本';
insert ignore acCode_work set lang='cn',id='5103',name='销货佣金';
insert ignore acCode_work set lang='cn',id='5201',name='进    货';
insert ignore acCode_work set lang='cn',id='5203',name='进货退出';
insert ignore acCode_work set lang='cn',id='5204',name='进货折让';
insert ignore acCode_work set lang='cn',id='5205',name='材料';
insert ignore acCode_work set lang='cn',id='59',name='----其他营业成本----';
insert ignore acCode_work set lang='cn',id='5901',name='其他营业成本';

insert ignore acCode_work set lang='cn',id='6',name='******营业费用******';
insert ignore acCode_work set lang='cn',id='61',name='------营业费用------';
insert ignore acCode_work set lang='cn',id='6101',name='薪资费用';
insert ignore acCode_work set lang='cn',id='6102',name='租金支出';
insert ignore acCode_work set lang='cn',id='6103',name='文具用品';
insert ignore acCode_work set lang='cn',id='6104',name='旅    费';
insert ignore acCode_work set lang='cn',id='6105',name='运    费';
insert ignore acCode_work set lang='cn',id='6106',name='邮 电 费';
insert ignore acCode_work set lang='cn',id='6107',name='修 缮 费';
insert ignore acCode_work set lang='cn',id='6108',name='广 告 费';
insert ignore acCode_work set lang='cn',id='6109',name='水 电 费';
insert ignore acCode_work set lang='cn',id='6110',name='保 险 费';
insert ignore acCode_work set lang='cn',id='6111',name='交 际 费';
insert ignore acCode_work set lang='cn',id='6112',name='捐    赠';
insert ignore acCode_work set lang='cn',id='6113',name='税    捐';
insert ignore acCode_work set lang='cn',id='6114',name='呆帐损失';
insert ignore acCode_work set lang='cn',id='6115',name='折    旧';
insert ignore acCode_work set lang='cn',id='6116',name='各项摊销';
insert ignore acCode_work set lang='cn',id='6117',name='外币兑换捐失';
insert ignore acCode_work set lang='cn',id='6118',name='伙 食 费';
insert ignore acCode_work set lang='cn',id='6119',name='职工福利';
insert ignore acCode_work set lang='cn',id='6220',name='研 究 费';
insert ignore acCode_work set lang='cn',id='6221',name='佣金支出';
insert ignore acCode_work set lang='cn',id='6222',name='职业训练费';
insert ignore acCode_work set lang='cn',id='6223',name='燃 料 费';
insert ignore acCode_work set lang='cn',id='6224',name='杂项支出';
insert ignore acCode_work set lang='cn',id='6225',name='准备金';
insert ignore acCode_work set lang='cn',id='6299',name='其他费用';
insert ignore acCode_work set lang='cn',id='6300',name='设计费';
insert ignore acCode_work set lang='cn',id='6301',name='交通费';
insert ignore acCode_work set lang='cn',id='6302',name='书报费';
insert ignore acCode_work set lang='cn',id='6303',name='劳务费';
insert ignore acCode_work set lang='cn',id='6304',name='薪资-年终奖金';

insert ignore acCode_work set lang='cn',id='7',name='*****营业外收入*****';
insert ignore acCode_work set lang='cn',id='71',name='-----营业外收入-----';
insert ignore acCode_work set lang='cn',id='7101',name='利息收入';
insert ignore acCode_work set lang='cn',id='7102',name='维修收入';
insert ignore acCode_work set lang='cn',id='7105',name='投资收入';
insert ignore acCode_work set lang='cn',id='7106',name='财产交易增益';
insert ignore acCode_work set lang='cn',id='7107',name='盘存盈余';
insert ignore acCode_work set lang='cn',id='7108',name='软体收入';
insert ignore acCode_work set lang='cn',id='7201',name='佣金收入';
insert ignore acCode_work set lang='cn',id='7202',name='商品盘余';
insert ignore acCode_work set lang='cn',id='7203',name='兑换盈益';
insert ignore acCode_work set lang='cn',id='7204',name='教学收入';
insert ignore acCode_work set lang='cn',id='7299',name='其他营业外收入';

insert ignore acCode_work set lang='cn',id='8',name='*****营业外支出*****';
insert ignore acCode_work set lang='cn',id='81',name='-----营业外支出-----';
insert ignore acCode_work set lang='cn',id='8101',name='利息支出';
insert ignore acCode_work set lang='cn',id='8102',name='教学费用';
insert ignore acCode_work set lang='cn',id='8103',name='投资损失';
insert ignore acCode_work set lang='cn',id='8104',name='财产交易损失';
insert ignore acCode_work set lang='cn',id='8105',name='灾害损失';
insert ignore acCode_work set lang='cn',id='8107',name='商品盘损';
insert ignore acCode_work set lang='cn',id='8109',name='兑换损失';
insert ignore acCode_work set lang='cn',id='8199',name='其他营业外费用';
