
--**-----------------------------------------------------------------




create table if not exists `bjn_usr`(
	`id` varchar(20) not null default '', 
	`loginId` varchar(30) not null default '',
	`loginPwd` varchar(100) not null default '',
	`admin` tinyint unsigned not null default 0,
	`swAutoLogout` tinyint unsigned not null default 0,
	`beginTime` datetime not null default '0001-1-1',
	`endTime` datetime not null default '0001-1-1',
	`name` varchar(50) not null default '',
	`swLogin` tinyint unsigned not null default 0,
	`code` smallint unsigned not null default 0,
	`loginTime` datetime not null default '0001-1-1',
	`logoutTime` datetime not null default '0001-1-1',
	`lastTime` datetime not null default '0001-1-1',
	`lastMemo` varchar(250) not null default '',
	`swWork` tinyint unsigned not null default 0,
	`lang` tinyint unsigned not null default 0,
	`swA` tinyint not null default 0,
	`swB` tinyint not null default 0,
	`swC` tinyint not null default 0,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	unique `ix_loginId` (loginId) 
) type=InnoDB ;


create table if not exists `bjn_usrHistory`(
	`id` bigint unsigned not null auto_increment,
	`userId` varchar(20) not null default '', 
	`admin` tinyint unsigned not null default 0,
	`endTime` datetime not null default '0001-1-1',
	`loginTime` datetime not null default '0001-1-1',
	`logoutTime` datetime not null default '0001-1-1',
	`lastMemo` varchar(250) not null default '',
	primary key (id)
) type=InnoDB ;



--**-----------------------------------------------------------------
create table if not exists `bjn_sys`(
	`id` varchar(50) not null default '',
	`data` mediumtext,
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (id)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `bjn_tableState`(
	`id` varchar(30) not null default '',
	`count` bigint unsigned not null default 0,
	`max` bigint unsigned not null default 0,
	`last` bigint unsigned not null default 0,
	`maxCode` varchar(100) not null default '',
	primary key (id)
) type=InnoDB ;





insert ignore bjn_tableState values('bjn_gp',0,0,0,'');
insert ignore bjn_tableState values('bjn_reportEnding',0,0,0,'');
insert ignore bjn_tableState values('depar',0,0,0,'');
insert ignore bjn_tableState values('hr',0,0,0,'');



--**-----------------------------------------------------------------
create table if not exists `bjn_gp`(
	`id` varchar(10) not null default '',
	`name` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (id)
) type=InnoDB ;

create table if not exists `bjn_gpDetail`(
	`rela` varchar(10) not null default '',
	`no` smallint unsigned not null default 0,
	`cls` varchar(250) not null default '',
	`ext` varchar(250) not null default '',
	primary key (rela,no),
	index `ix_cls` (cls) 
) type=InnoDB ;


--**-----------------------------------------------------------
create table if not exists `bjn_usrGp`(
	`usrId` varchar(15) not null default '',
	`gpId` varchar(10) not null default '',
	primary key (usrId,gpId)
) type=InnoDB ;


--**-----------------------------------------------------------
create table if not exists `bjn_usrStk`(
	`usrId` varchar(15) not null default '',
	`stkId` varchar(10) not null default '',
	primary key (usrId,stkId)
) type=InnoDB ;


--**-----------------------------------------------------------------
create table if not exists `bjn_reportEnding`(
	`id` varchar(20) not null default '',
	`name` varchar(50) not null default '',
	`text` text,
	`memo` varchar(250) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (id)
) type=InnoDB ;


--**-----------------------------------------------------------------
create table if not exists `bjn_reportParam`(
	`id` varchar(60) not null default '',
	`name` varchar(100) not null default '',
	`data` blob,
	`memo` varchar(250) not null default '',
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (id)
) type=InnoDB ;


--**-----------------------------------------------------------------
create table if not exists `bjn_procRun` (
	`id` int unsigned not null default 0,
	`procTime` datetime not null default '0001-1-1',
	`procUser` varchar(30) not null default '',
	`procId` varchar(50) not null default '',
	`procIndex` int unsigned not null default 0,
	`procMax` int unsigned not null default 0,
	`procCount` int unsigned not null default 0,
	`procServer` varchar(100) not null default '',
	`procClass` varchar(100) not null default '',
	`isPause` tinyint unsigned not null default 0,
	`isStop` tinyint unsigned not null default 0,
	`isAdmin` tinyint unsigned not null default 0,
	`swState` tinyint unsigned not null default 0,
	`isLock` tinyint unsigned not null default 0,
	`param` text,
	`cmdTime` datetime not null default '0001-1-1',
	`cmdUser` varchar(30) not null default '',
	`cmdId` tinyint unsigned not null default 0,
	`workId` varchar(100) not null default '',
	`endId` varchar(100) not null default '',
	`stepTotal` int unsigned not null default 0,
	`step` int unsigned not null default 0,
	`respTime` bigint unsigned not null default 0,
	`respOut` int unsigned not null default 0,
 	`filter` text,
	`object` mediumblob,
	
	primary key (id)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `bjn_procLog` (
	`id_no` bigint unsigned not null auto_increment,
	`logTime` datetime not null default '0001-1-1',
	`procId` varchar(50) not null default '',
	`procState` varchar(30) not null default '',
	`userx` varchar(30) not null default '',
	`type` varchar(30) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`detail` text,
	`param` text,
	
	primary key (id_no),
	index `ix_procId_logTime` (procId,logTime) 
) type=InnoDB;

--**-----------------------------------------------------------------

--**-----------------------------------------------------------
create table if not exists `bjn_tableLog`(
	`id` bigint unsigned not null auto_increment,
	`logTime` datetime not null default '0001-1-1',
	`logUser` varchar(20) not null default '',
	`tableId` varchar(30) not null default '',
	`nodeId` varchar(10) not null default '',
	`workId` tinyint unsigned not null default 0,
	`detail` text,
	`sw1` tinyint unsigned not null default 0,
	`sw2` tinyint unsigned not null default 0,
	`sw3` tinyint unsigned not null default 0,
	
	primary key (id),
	index `ix_tableId_nodeId_id` (tableId,nodeId,id)
) type=InnoDB ;


--**-----------------------------------------------------------
create table if not exists `bjn_workLog`(
	`id` bigint unsigned not null auto_increment,
	`logTime` datetime not null default '0001-1-1',
	`logUser` varchar(20) not null default '',
	`workId` varchar(20) not null default '',
	`detail` text,
	
	primary key (id)
) type=InnoDB ;



--**-----------------------------------------------------------
create table if not exists `bjn_MsgSet`(
	`id` bigint unsigned not null auto_increment,
	`frUser` varchar(20) not null default '',
	`toUser` text,
	`toTime` datetime not null default '0001-1-1',
	`subject` varchar(100) not null default '',
	`detail` text,
	`att` blob,
	`reId` bigint unsigned not null,
	`swWork` tinyint unsigned not null default 0,
	`swPro` tinyint unsigned not null default 0,
	
	primary key (id),
	index `ix_frUser_id` (frUser,id) 
) type=InnoDB ;


create table if not exists `bjn_MsgGet`(
	`toUser` varchar(20) not null default '',
 	`msgId` bigint unsigned not null,
	`frUser` varchar(20) not null default '',
 	`frTime` datetime not null default '0001-1-1',
	`subject` varchar(100) not null default '',
	`detail` text,
	`att` mediumblob,
	`swWork` tinyint unsigned not null default 0,
	`swPro` tinyint unsigned not null default 0,

	primary key (toUser,msgId),
	index `ix_msgId_toUser` (msgId,toUser)
) type=InnoDB ;










create table if not exists `depar`(
	`id` varchar(10) not null default '',
	`name` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB ;


--**-----------------------------------------------------------------
create table if not exists `hr`(
	`id` varchar(10) not null default '',
	`name` varchar(50) not null default '',
	`deparId` varchar(10) not null default '',
	`egName` varchar(50) not null default '',
	`isImg` blob,
	`sex` tinyint unsigned not null default 1,
	`marriage` tinyint unsigned not null default 1,
	`military` tinyint unsigned not null default 1,
	`militaryDate` varchar(20) not null default '',
	`idNo` varchar(30) not null default '',
	`birthday` date not null default '0001-1-1',
	`mobile` varchar(50) not null default '',
	`tel` varchar(50) not null default '',
	`addr` varchar(200) not null default '',
	`exiName` varchar(30) not null default '',
	`exiTel` varchar(30) not null default '',
	`exiRela` varchar(30) not null default '',
	`email` varchar(200) not null default '',
	`fixName` varchar(30) not null default '',
	`fixTel` varchar(50) not null default '',
	`fixAddr` varchar(200) not null default '',
	`school1` varchar(50) not null default '',
	`class1` varchar(30) not null default '',
	`gradDate1` varchar(10) not null default '',
	`school2` varchar(50) not null default '', 
	`class2` varchar(30) not null default '', 
	`gradDate2` varchar(10) not null default '', 
	`school3` varchar(50) not null default '', 
	`class3` varchar(30) not null default '', 
	`gradDate3` varchar(10) not null default '', 
	`company1` varchar(50) not null default '',
	`title1` varchar(30) not null default '',
	`begDate1` varchar(10) not null default '',
	`endDate1` varchar(10) not null default '',
	`leaveRsn1` varchar(50) not null default '',
	`company2` varchar(50) not null default '', 
	`title2` varchar(30) not null default '', 
	`begDate2` varchar(10) not null default '', 
	`endDate2` varchar(10) not null default '', 
	`leaveRsn2` varchar(50) not null default '', 
	`company3` varchar(50) not null default '', 
	`title3` varchar(30) not null default '', 
	`begDate3` varchar(10) not null default '', 
	`endDate3` varchar(10) not null default '', 
	`leaveRsn3` varchar(50) not null default '', 
	`item1` varchar(30) not null default '',
	`itemDate1` varchar(30) not null default '',
	`content1` varchar(50) not null default '',
	`item2` varchar(30) not null default '',
	`itemDate2` varchar(30) not null default '', 
	`content2` varchar(50) not null default '',
	`item3` varchar(30) not null default '',
	`itemDate3` varchar(30) not null default '', 
	`content3` varchar(50) not null default '',
	`pdaUserId` varchar(30) not null default '',
	`pdaUserPwd` varchar(30) not null default '',
	`pdaUserName` varchar(30) not null default '',
	`pdaCode` smallint unsigned not null default 0,
	`pdaState` tinyint unsigned not null default 0,
	`pdaLoginTimer` bigint unsigned not null default 0,
	`pdaSysCtrl` text,
	`posUserId` varchar(30) not null default '',
	`posUserPwd` varchar(30) not null default '',
	`stkId` varchar(10) not null default '',
 	`casherPwd` varchar(30) not null default '',
	`sellerPwd` varchar(30) not null default '',
	`wkCheckId` varchar(10) not null default '',
	`wkFinger` blob,
	`wkFinger2` blob,
	`wkAMBeg` time not null default '0:0:0',
	`wkAMEnd` time not null default '0:0:0',
	`wkPMBeg` time not null default '0:0:0',
	`wkPMEnd` time not null default '0:0:0',
	
	`memo` text,
	`swState` tinyint unsigned not null default 1,
	`swDel` tinyint unsigned not null default 0,
	`sysUserId` varchar(20) not null default '',
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_posUserId` (posUserId),
	index `ix_casherPwd` (casherPwd),
	index `ix_sellerPwd` (sellerPwd),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB ;















insert ignore bjn_tableState values('stk',0,0,0,'');
insert ignore bjn_tableState values('cls',0,0,0,'');
insert ignore bjn_tableState values('brand',0,0,0,'');
insert ignore bjn_tableState values('item',0,0,0,'');
insert ignore bjn_tableState values('adjRsn',0,0,0,'');
insert ignore bjn_tableState values('adjStk',0,0,0,'');
insert ignore bjn_tableState values('bsnsCls',0,0,0,'');
insert ignore bjn_tableState values('areaCls',0,0,0,'');

insert ignore bjn_tableState values('prvd',0,0,0,'');
insert ignore bjn_tableState values('inStk',0,0,0,'');
insert ignore bjn_tableState values('inStkBk',0,0,0,'');
insert ignore bjn_tableState values('apAdj',0,0,0,'');
insert ignore bjn_tableState values('apCancel',0,0,0,'');

insert ignore bjn_tableState values('cust',0,0,0,'');
insert ignore bjn_tableState values('outStk',0,0,0,'');
insert ignore bjn_tableState values('outStkBk',0,0,0,'');
insert ignore bjn_tableState values('arAdj',0,0,0,'');
insert ignore bjn_tableState values('arCancel',0,0,0,'');
insert ignore bjn_tableState values('clsx',0,0,0,'');
insert ignore bjn_tableState values('outQuot',0,0,0,'');
insert ignore bjn_tableState values('outOrder',0,0,0,'');
insert ignore bjn_tableState values('inOrder',0,0,0,'');
insert ignore bjn_tableState values('inRequ',0,0,0,'');
insert ignore bjn_tableState values('inCheck',0,0,0,'');
insert ignore bjn_tableState values('chkStk',0,0,0,'');
insert ignore bjn_tableState values('sale',0,0,0,'');
insert ignore bjn_tableState values('outInvoice',0,0,0,'');
insert ignore bjn_tableState values('member',0,0,0,'');
insert ignore bjn_tableState values('memberCls',0,0,0,'');
insert ignore bjn_tableState values('memberCard',0,0,0,'');
insert ignore bjn_tableState values('cashreg',0,0,0,'');  
insert ignore bjn_tableState values('payMode',0,0,0,''); 
insert ignore bjn_tableState values('nodeAcct',0,0,0,'');
insert ignore bjn_tableState values('nodeAcctConvert',0,0,0,'');
insert ignore bjn_tableState values('wkAttend',0,0,0,'');
insert ignore bjn_tableState values('ckBank',0,0,0,'');
insert ignore bjn_tableState values('memOrder',0,0,0,'');



--**-----------------------------------------------------------------
create table if not exists `cls`(
	`id` varchar(20) not null default '',
	`name` varchar(100) not null default '',
	`clsxId` varchar(20) not null default '',
	`swTax` tinyint unsigned not null default 1,
	`inFormula` varchar(50) not null default '',
	`outFormula` varchar(50) not null default '',
	`mbFormula` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`acCodeId` varchar(10) not null default '',
	`isShop` tinyint unsigned not null default 0,
	`shopUser` varchar(50) not null default '',
	`shopTime` datetime not null default '0001-1-1',
	`shopSort` varchar(20) not null default '',
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB ;



--**-----------------------------------------------------------------
create table if not exists `brand`(
	`id` varchar(20) not null default '',
	`name` varchar(100) not null default '',
	`brandxId` varchar(20) not null default '',
	`swTax` tinyint unsigned not null default 1,
	`inFormula` varchar(50) not null default '',
	`outFormula` varchar(50) not null default '',
	`mbFormula` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`acCodeId` varchar(10) not null default '',
	`isShop` tinyint unsigned not null default 0,
	`shopUser` varchar(50) not null default '',
	`shopTime` datetime not null default '0001-1-1',
	`shopSort` varchar(20) not null default '',
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB ;



--**-----------------------------------------------------------------
create table if not exists `item` (
	`id` varchar(30) not null default '',
	`scdId` varchar(30) not null default '',
	`prvId` varchar(30) not null default '',
	`name` varchar(200) not null default '',
	`specif` text,
	`unit` varchar(20) not null default '',
	`prvdId` varchar(20) not null default '',
	`clsId` varchar(20) not null default '',
	`cost` decimal(16,4) not null default 0,
	`iniCost` decimal(16,4) not null default 0,
	`iniClearDate` date not null default '0001-1-1',
	`avgCost` decimal(16,4) not null default 0,
	`nowAvgCost` decimal(16,4) not null default 0,
	`nowAvgCostLog` varchar(250) not null default '',
	`refreshTime` datetime not null default '0001-1-1',
	`iosCheckDate` date not null default '0001-1-1',
	`iosCheckCost` decimal(16,4) not null default 0,
	`iosCheckUser` varchar(50) not null default '',
	`iosCheckTime` datetime not null default '0001-1-1',
	`fixPrice` decimal(16,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`lowPrice` decimal(16,4) not null default 0,
	`batPrice` decimal(16,4) not null default 0,
	`mb1Price` decimal(16,4) not null default 0,
	`mb2Price` decimal(16,4) not null default 0,
	`mb3Price` decimal(16,4) not null default 0,
	`mbPoint` decimal(16,4) not null default 0,
	`inDate` date not null default '0001-1-1',
	`inCost` decimal(16,4) not null default 0,
	`comInDate` date not null default '0001-1-1',
	`comInCost` decimal(16,4) not null default 0,
	`comAvgCost` decimal(16,4) not null default 0,
	`comTime` datetime not null default '0001-1-1',
	
	`isImg` mediumblob,
	`isImg2` mediumblob,
	`isImg3` mediumblob,
	`swCatalog` tinyint unsigned not null default 1,
	`itemNo` varchar(30) not null default '',
	`lowOrder` decimal(15,4) not null default 0,
	`pkgQty` decimal(15,4) not null default 0,
	`pkgUnit` varchar(20) not null default '',
	`pkgItemId` varchar(30) not null default '',
	`swInOrder` tinyint unsigned not null default 0,
	`swInStk` tinyint unsigned not null default 0,
	`swOutOrder` tinyint unsigned not null default 0,
	`swOutStk` tinyint unsigned not null default 0,
	`swDel` tinyint unsigned not null default 0,
	`swTax` tinyint unsigned not null default 0,
	`inBarcode` tinyint unsigned not null default 1,
	`isVirtual` tinyint unsigned not null default 0,
	`isStopCustPrice` tinyint unsigned not null default 0,
	`swBomClass` tinyint unsigned not null default 0,
	
	
	`memo` text,
	`place` varchar(100) not null default '',
	`stuff` varchar(100) not null default '',
	
	`ivName` varchar(100) not null default '',
	
	`shopNo` varchar(30) not null default '',
	`shopName` varchar(200) not null default '',
	`shopUnit` varchar(20) not null default '',
	`shopClsId` varchar(20) not null default '',
	`shopBrandId` varchar(20) not null default '',
	`shopPrice` decimal(16,4) not null default 0,
	`shopPromo` decimal(16,4) not null default 0,
	`shopCarr` decimal(16,4) not null default 0,
	`shopPText` varchar(100) not null default '',
	`shopMemo` text,
	`shopSpec` text,
	`swShop` tinyint unsigned not null default 0,
	`shopUserFn` varchar(50) not null default '',
	`shopTimeFn` datetime not null default '0001-1-1',
	`shopUserEd` varchar(50) not null default '',
	`shopTimeEd` datetime not null default '0001-1-1',
	`shopUserUp` varchar(50) not null default '',
	`shopTimeUp` datetime not null default '0001-1-1',
	`shopUserDn` varchar(50) not null default '',
	`shopTimeDn` datetime not null default '0001-1-1',
	`shopSort` varchar(20) not null default '',

	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_scdId` (scdId), 
	index `ix_prvId` (prvId),
	index `ix_shopTimeUp_id` (shopTimeUp,id),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB ;



--**-----------------------------------------------------------------

create table if not exists `item2`(
	`itemId` varchar(30) not null default '',
	`stkId` varchar(10) not null default '',
	
	`stock` decimal(17,4) not null default 0,
	`move` decimal(17,4) not null default 0,
	`inOrder` decimal(17,4) not null default 0,
	`outOrder` decimal(17,4) not null default 0,
	`lend` decimal(17,4) not null default 0,
	`bad` decimal(17,4) not null default 0,
	`discard` decimal(17,4) not null default 0,
	`changex` decimal(17,4) not null default 0,
	`repairx` decimal(17,4) not null default 0,
	`repairCus` decimal(17,4) not null default 0,
	`repairPrv` decimal(17,4) not null default 0,
	`consignCus` decimal(17,4) not null default 0,
	`consignPrv` decimal(17,4) not null default 0,
	`inCheck` decimal(17,4) not null default 0,
	`rent` decimal(17,4) not null default 0,
	
	`iniStock` decimal(17,4) not null default 0,
	`iniMove` decimal(17,4) not null default 0,
	`iniInOrder` decimal(17,4) not null default 0,
	`iniOutOrder` decimal(17,4) not null default 0,
	`iniLend` decimal(17,4) not null default 0,
	`iniBad` decimal(17,4) not null default 0,
	`iniDiscard` decimal(17,4) not null default 0,
	`iniChangex` decimal(17,4) not null default 0,
	`iniRepairx` decimal(17,4) not null default 0,
	`iniRepairCus` decimal(17,4) not null default 0,
	`iniRepairPrv` decimal(17,4) not null default 0,
	`iniConsignCus` decimal(17,4) not null default 0,
	`iniConsignPrv` decimal(17,4) not null default 0,
	`iniInCheck` decimal(17,4) not null default 0,
	`iniRent` decimal(17,4) not null default 0,
	
	`comStock` decimal(17,4) not null default 0,
	`comMove` decimal(17,4) not null default 0,
	`comInOrder` decimal(17,4) not null default 0,
	`comOutOrder` decimal(17,4) not null default 0,
	`comLend` decimal(17,4) not null default 0,
	`comBad` decimal(17,4) not null default 0,
	`comDiscard` decimal(17,4) not null default 0,
	`comChangex` decimal(17,4) not null default 0,
	`comRepairx` decimal(17,4) not null default 0,
	`comRepairCus` decimal(17,4) not null default 0,
	`comRepairPrv` decimal(17,4) not null default 0,
	`comConsignCus` decimal(17,4) not null default 0,
	`comConsignPrv` decimal(17,4) not null default 0,
	`comInCheck` decimal(17,4) not null default 0,
	`comRent` decimal(17,4) not null default 0,
	
	`iniCost` decimal(16,4) not null default 0,
	`outDate` date not null default '0001-1-1',
	`outPrice` decimal(16,4) not null default 0,
	`saleDate` date not null default '0001-1-1',
	`salePrice` decimal(16,4) not null default 0,
	
	`lowStock` decimal(17,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	
	`totalOut` decimal(17,4) not null default 0,
	`totalBack` decimal(17,4) not null default 0,
	
	`ltimer` bigint unsigned not null default 0,
	
	primary key (itemId,stkId),
	index `ix_stkId_itemId` (stkId,itemId)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `itemAvgCost`(
	`itemId` varchar(30) not null default '',
	`tsTime` datetime not null default '0001-1-1',
	`stock` decimal(17,4) not null default 0,
	`oldCost` decimal(16,4) not null default 0,
	`newCost` decimal(16,4) not null default 0,
	`memo` varchar(250) not null default '',
	`updater` varchar(50) not null default '',
	primary key (itemId,tsTime)
) type=InnoDB;





create table if not exists `stk`(
	`id` varchar(10) not null default '',
	`name` varchar(20) not null default '',
	`fullName` varchar(100) not null default '',
	`inCharge` varchar(30) not null default '',
	`inChargePst` varchar(30) not null default '',
	`tel` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`addr` varchar(200) not null default '',
	`areaId` varchar(20) not null default '',
	`area` varchar(20) not null default '',
	`swType` tinyint unsigned not null default 0,
	`swState` tinyint unsigned not null default 0,
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
	`acCompId` varchar(4) not null default '',
	`taxRate` tinyint unsigned not null default 0,
	
	`chkIniTime` datetime not null default '0001-1-1',
	`chkiniUser` varchar (30) not null default '',
 	`chkWork` tinyint unsigned not null default 0,
	`chkWrr` tinyint unsigned not null default 0,
	`chkPst` tinyint unsigned not null default 0,
	`chkAdjRsnId` varchar (10) not null default '',
 	`chkBatchNo` varchar (30) not null default '',
	`chkAdjTime` datetime not null default '0001-1-1',
	`chkAdjUser` varchar (30) not null default '',
 	`chkCost` tinyint unsigned not null default 0,
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id) 
) type=InnoDB ;


insert ignore stk set id='001',name='stk-001', creater='#sys', createTime=[##NOW];
select @xcount := count(id) from stk;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='stk';



create table if not exists `adjRsn` (
	`id` varchar(10) not null default '',
	`name` varchar(250) not null default '',
	`title` varchar(250) not null default '',
	`isStkId2` tinyint unsigned not null default 0,
	`isStkId2Must` tinyint unsigned not null default 0,
	`isStkId2Diff` tinyint unsigned not null default 0,
	`wrr` tinyint unsigned not null default 0,
	`isWrr` tinyint unsigned not null default 0,
	`wrr2` tinyint unsigned not null default 0,
	`isWrr2` tinyint unsigned not null default 0,
	
	`stkWord` varchar(200) not null default '',
	`stk2Word` varchar(200) not null default '',
	`targetWord` varchar(200) not null default '',
	`isTargetP` tinyint unsigned not null default 0,
	
	`swEditQty` tinyint unsigned not null default 0,
	`swPrintQty` tinyint unsigned not null default 0,
	`memo` text, 
	`swDel` tinyint unsigned not null default 0,
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB;




--**---------------------------------------------------------------------
--**---------------------------------------------------------------------
insert ignore adjRsn set id='01',name='庫存調整*||库存调整*',title='庫存調整單||库存调整单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='02',name='盤點調整*||盘点调整*',title='盤點調整單||盘点调整单',stkWord='盤點倉庫||盘点仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];

insert ignore adjRsn set id='03',name='調撥同步||调拨同步' ,title='分倉調撥單||分仓调拨单',stkWord='調出倉庫||调出仓库',stk2Word='調入倉庫||调入仓库',targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='04',name='調撥出庫+||调拨出库+',title='調撥出庫單||调拨出库单',stkWord='出貨倉庫||出货仓库',stk2Word='收貨倉庫||收货仓库',targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='05',name='調撥入庫-||调拨入库-',title='調撥入庫單||调拨入库单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='10',name='借出+||借出+'    ,title='借 出 單||借 出 单'  ,stkWord='借出倉庫||借出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='11',name='借還-||借还-'    ,title='還 回 單||还 回 单'  ,stkWord='還回倉庫||还回仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='12',name='不良品+||不良品+'  ,title='轉不良品單||转不良品单',stkWord='轉出倉庫||转出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='13',name='不良品-||不良品-'  ,title='退不良品單||退不良品单',stkWord='轉入倉庫||转入仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='14',name='待報廢+||待报废+'  ,title='轉待報廢單||转待报废单',stkWord='轉出倉庫||转出仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='15',name='待報廢-||待报废-'  ,title='退待報廢單||退待报废单',stkWord='轉入倉庫||转入仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='16',name='報廢*||报废*'    ,title='報 廢 單||报 废 单'  ,stkWord='報廢倉庫||报废仓库',stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='20',name='廠商換貨+||厂商换货+',title='退廠換貨單||退厂换货单',stkWord='退出倉庫||退出仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='21',name='廠商換貨-||厂商换货-',title='廠商換回單||厂商换回单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='22',name='送廠維修+||送厂维修+',title='送廠維修單||送厂维修单',stkWord='送出倉庫||送出仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='23',name='送廠維修-||送厂维修-',title='廠商完修單||厂商完修单',stkWord='收貨倉庫||收货仓库',stk2Word=''        ,targetWord='廠 商||厂 商', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='30',name='組合拆裝*||组合拆装*',title='組合拆裝單||组合拆裝单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];
insert ignore adjRsn set id='31',name='組合包裝*||组合包装*',title='組合包裝單||组合包裝单',stkWord=''        ,stk2Word=''        ,targetWord='', creater='#sys', createTime=[##NOW];

select @xcount := count(id) from adjRsn;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='adjRsn';

update adjRsn set isStkId2=0, isStkId2Must=0, isStkId2Diff=0, wrr=0, wrr2=0, isWrr2=0, swEditQty=0, swPrintQty=0, isTargetP=1 where id='01'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='02'; 
update adjRsn set isStkId2=0, isStkId2Must=1, isStkId2Diff=1, wrr=1, wrr2=1, isWrr2=0, swEditQty=2, swPrintQty=1, isTargetP=1 where id='03'; 
update adjRsn set isStkId2=0, isStkId2Must=1, isStkId2Diff=1, wrr=1, wrr2=2, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='04'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=2, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='05'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=5, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='10'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=5, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='11'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=6, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='12'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=6, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='13'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=7, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='14'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=7, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=1 where id='15'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=7, wrr2=0, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=1 where id='16'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=8, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='20'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=8, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='21'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=9, isWrr2=1, swEditQty=2, swPrintQty=1, isTargetP=0 where id='22'; 
update adjRsn set isStkId2=1, isStkId2Must=1, isStkId2Diff=0, wrr=1, wrr2=9, isWrr2=1, swEditQty=1, swPrintQty=0, isTargetP=0 where id='23'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='30'; 
update adjRsn set isStkId2=1, isStkId2Must=0, isStkId2Diff=0, wrr=1, wrr2=0, isWrr2=1, swEditQty=0, swPrintQty=0, isTargetP=1 where id='31'; 






--**-----------------------------------------------------------------
create table if not exists `adjStk` (
	`listNo` varchar (20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`adjRsnId` varchar (10) not null default '',
	`hrId` varchar (10) not null default '',
	`targId` varchar (20) not null default '',
	`swTargId` tinyint unsigned not null default 0,
	`target` varchar (50) not null default '',
	`stkId` varchar (10) not null default '',
	`stkId2` varchar (10) not null default '',
	`wrr` tinyint unsigned not null default 1,
	`wrr2` tinyint unsigned not null default 0,
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`costTotal` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swListType` tinyint unsigned not null default 0,
	`isClose` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_certNo` (certNo),
	index `ix_batchNo` (batchNo),
	index `ix_stkId_adjRsnId_listNo` (stkId,adjRsnId,listNo), 
	index `ix_stkId2_adjRsnId_listNo` (stkId2,adjRsnId,listNo)
) type=InnoDB;



create table if not exists `adjStkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`cost` decimal(16,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`chkCost` tinyint unsigned not null default 0,
	`usrCost` decimal(16,4) not null default 0,
	`atCost` decimal(16,4) not null default 0,
	`subMoney` decimal(19,4) not null default 0,
	`subDisct` decimal(19,4) not null default 0,
	`memo` varchar (250) not null default '',
	
	primary key (rela,no),
	index `ix_itemId_tsDate` (itemId,tsDate)
) type=InnoDB;








--**-----------------------------------------------------------------
create table if not exists `bsnsCls`(
	`id` varchar(20) not null default '',
	`name` varchar(100) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB ;

--**-----------------------------------------------------------------
create table if not exists `areaCls`(
	`id` varchar(20) not null default '',
	`name` varchar(100) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB ;




--**-----------------------------------------------------------------
create table if not exists `prvd` (
	`id` varchar(20) not null default '',
	`name` varchar(30) not null default '',
	`fullName` varchar(100) not null default '',
	`inCharge` varchar(30) not null default '',
	`inChargePst` varchar(30) not null default '',
	`inChargeMbl` varchar(30) not null default '',
	`inChargeMail` varchar(200) not null default '',
	`liaison` varchar(30) not null default '',
	`liaisonPst` varchar(30) not null default '',
	`liaisonMbl` varchar(30) not null default '',
	`liaisonMail` varchar(100) not null default '',
	`liaison2` varchar(30) not null default '',
	`liaisonPst2` varchar(30) not null default '',
	`liaisonMbl2` varchar(30) not null default '',
	`liaisonMail2` varchar(100) not null default '',
	`tel` varchar(50) not null default '',
	`tel2` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`fax2` varchar(50) not null default '',
	`unitNo` varchar(20) not null default '',
	`comAddr` varchar(200) not null default '',
	`addr` varchar(200) not null default '',
	`unitTitle` varchar(100) not null default '',
	`unitAddr` varchar(200) not null default '',
	`dcAddr` varchar(200) not null default '',
	`areaId` varchar(10) not null default '',
	`hrId` varchar(10) not null default '',
	`prvdClsId` varchar(10) not null default '',
	`toStkId` varchar(10) not null default '',
	`checkTitle` varchar(50) not null default '',
	
	`homePage` varchar(100) not null default '',
	`openTime` varchar(100) not null default '',
	`formula` varchar(100) not null default '',
	`bkFormula` varchar(100) not null default '',
	`odrFormula` varchar(100) not null default '',
	
	`closeDay` tinyint unsigned not null default 25,
	`swTax` tinyint unsigned not null default 1,
	`swClose` tinyint unsigned not null default 1,
	`swState` tinyint unsigned not null default 1,
	`apTotal` decimal(19,4) not null default 0,
	`inEndingId` varchar(10) not null default '',
	`odrEndingId` varchar(10) not null default '',
	
	`bsnsClsId` varchar(20) not null default '',
	`areaClsId` varchar(20) not null default '',
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
 	`taxRate` tinyint unsigned not null default 0,
	
	`acDetailId` varchar(10) not null default '',
	`acUpdater` varchar(50) not null default '',
	`acUpdateTime` datetime not null default '0001-1-1',
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_name` (name),
	index `ix_tel` (tel),
	index `ix_unitNo` (unitNo),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB;


--**-----------------------------------------------------------------

create table if not exists `inStk` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`inOrderId` varchar (20) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`inCheckId` varchar (30) not null default '',
	`adjCostId` varchar (20) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 1,
	`invoiceType` tinyint unsigned not null default 1,
	`payable` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`swClose` tinyint unsigned not null default 0,
	`payableAccId` varchar (10) not null default '',
	`stockAccId` varchar (10) not null default '',
	`taxAccId` varchar (10) not null default '',
	`discountAccId` varchar (10) not null default '',
	`disctAccId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_prvdId_tsDate` (prvdId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_inOrderId` (inOrderId),
	index `ix_invoiceNo` (invoiceNo),
	index `ix_certNo` (certNo),
	index `ix_inCheckId` (inCheckId),
	index `ix_adjCostId` (adjCostId)
) type=InnoDB;



create table if not exists `inStkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`subCost` decimal(19,4) not null default 0,
	`discount` decimal(19,4) not null default 0,
	`disct` varchar (5) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	
	primary key (rela,no), 
	index `ix_itemId_tsDate` (itemId,tsDate),
	index `ix_itemId_prvdId_tsDate` (itemId,prvdId,tsDate)
) type=InnoDB;



--**-----------------------------------------------------------------
create table if not exists `inStkBk` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`inOrderId` varchar (20) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`inCheckId` varchar (30) not null default '',
	`adjCostId` varchar (20) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 1,
	`invoiceType` tinyint unsigned not null default 1,
	`payable` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`swClose` tinyint unsigned not null default 0,
	`payableAccId` varchar (10) not null default '',
	`stockAccId` varchar (10) not null default '',
	`taxAccId` varchar (10) not null default '',
	`discountAccId` varchar (10) not null default '',
	`disctAccId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_prvdId_tsDate` (prvdId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_inOrderId` (inOrderId),
	index `ix_invoiceNo` (invoiceNo),
	index `ix_certNo` (certNo),
	index `ix_inCheckId` (inCheckId),
	index `ix_adjCostId` (adjCostId)
) type=InnoDB;



create table if not exists `inStkBkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`subCost` decimal(19,4) not null default 0,
	`discount` decimal(19,4) not null default 0,
	`disct` varchar (5) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_itemId_tsDate` (itemId,tsDate),
	index `ix_itemId_prvdId_tsDate` (itemId,prvdId,tsDate)
) type=InnoDB;





--**-----------------------------------------------------------------
create table if not exists `apAdj` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`adjCostId` varchar (20) not null default '',
	
	`acc` smallint unsigned not null default 0,
	`accText` varchar (30) not null default '',
	`tsType` tinyint unsigned not null default 0,
	`accMny` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`swCost` tinyint unsigned not null default 0,
	
	`begDate` date not null default '0001-1-1',
	`endDate` date not null default '0001-1-1',
	`accMnyOk` decimal(19,4) not null default 0,
	
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`acCodeId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_prvdId_tsDate` (prvdId,tsDate), 
	index `ix_tsDate` (tsDate),
	index `ix_certNo` (certNo),
	index `ix_adjCostId` (adjCostId)
) type=InnoDB;



--**-----------------------------------------------------------------

create table if not exists `apCancel` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`ckBankId` varchar (20) not null default '',
	`checkNo` varchar (30) not null default '',
	`checkDate` date not null default '0001-1-1',
	`checkMny` decimal(19,4) not null default 0,
	`cashMny` decimal(19,4) not null default 0,
	`remitMny` decimal(19,4) not null default 0,
	`cardMny` decimal(19,4) not null default 0,
	`expMny` decimal(19,4) not null default 0,
	`otherMny` decimal(19,4) not null default 0,
	`checkAccId` varchar (10) not null default '',
	`cashAccId` varchar (10) not null default '',
	`remitAccId` varchar (10) not null default '',
	`cardAccId` varchar (10) not null default '',
	`expAccId` varchar (10) not null default '',
	`otherAccId` varchar (10) not null default '',
	
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`otherCode` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_prvdId_tsDate` (prvdId,tsDate),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `apCancelDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`listId` varchar (30) not null default '',
	`cancelOk` decimal(19,4) not null default 0,
	`swDel` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_listId_tsDate` (listId,tsDate) 
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `ckBank`(
	`id` varchar(20) not null default '',
	`name` varchar(50) not null default '',
	`liaison` varchar(30) not null default '',
	`liaisonPst` varchar(30) not null default '',
	`liaisonMbl` varchar(30) not null default '',
	`tel` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`addr` varchar(200) not null default '',
	`accNo` varchar(30) not null default '',
	`accName` varchar(30) not null default '',
	`swType` tinyint unsigned not null default 0,
	`acCompId` varchar(4) not null default '',
	`acCodeId` varchar(20) not null default '',
	`acDetailId` varchar(10) not null default '',
	`initMny` decimal(19,4) not null default 0,
	`tranMny` decimal(19,4) not null default 0,
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index ix_swType_id (swType,id)
) type=InnoDB ;










--**-----------------------------------------------------------------
create table if not exists `cust` (
	`id` varchar(20) not null default '',
	`name` varchar(30) not null default '',
	`fullName` varchar(60) not null default '',
	`inCharge` varchar(30) not null default '',
	`inChargePst` varchar(30) not null default '',
	`inChargeMbl` varchar(30) not null default '',
	`inChargeMail` varchar(200) not null default '',
	`liaison` varchar(30) not null default '',
	`liaisonPst` varchar(30) not null default '',
	`liaisonMbl` varchar(30) not null default '',
	`liaisonMail` varchar(100) not null default '',
	`liaison2` varchar(30) not null default '',
	`liaisonPst2` varchar(30) not null default '',
	`liaisonMbl2` varchar(30) not null default '',
	`liaisonMail2` varchar(100) not null default '',
	`tel` varchar(50) not null default '',
	`tel2` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`fax2` varchar(50) not null default '',
	`unitNo` varchar(20) not null default '',
	`comAddr` varchar(200) not null default '',
	`addr` varchar(200) not null default '',
	`unitTitle` varchar(100) not null default '',
	`unitAddr` varchar(200) not null default '',
	`dcAddr` varchar(200) not null default '',
	`areaId` varchar(10) not null default '',
	`hrId` varchar(10) not null default '',
	`custClsId` varchar(10) not null default '',
	`toStkId` varchar(10) not null default '',
	
	`homePage` varchar(50) not null default '',
	`openTime` varchar(100) not null default '',
	`formula` varchar(100) not null default '',
	`bkFormula` varchar(100) not null default '',
	`odrFormula` varchar(100) not null default '',
	
	`closeDay` tinyint unsigned not null default 25,
	`swTax` tinyint unsigned not null default 1,
	`swClose` tinyint unsigned not null default 1,
	`swState` tinyint unsigned not null default 1,
	`arTotal` decimal(19,4) not null default 0,
	`arAccept` decimal(19,4) not null default 0,
	`swAccept` tinyint unsigned not null default 1,
	`outEndingId` varchar(10) not null default '',
	`odrEndingId` varchar(10) not null default '',
	
	`bsnsClsId` varchar(20) not null default '',
	`areaClsId` varchar(20) not null default '',
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
	`taxRate` tinyint unsigned not null default 0,
	`isStopCustPrice` tinyint unsigned not null default 0,
	`swSignPrice` tinyint unsigned not null default 1,
	
	`acDetailId` varchar(10) not null default '',
	`acUpdater` varchar(50) not null default '',
	`acUpdateTime` datetime not null default '0001-1-1',
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_name` (name),
	index `ix_tel` (tel),
	index `ix_unitNo` (unitNo),
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB;



--**-----------------------------------------------------------------
create table if not exists `custPrice` (
	`custId` varchar(20) not null default '',
	`itemId` varchar(30) not null default '',
	`price` decimal(16,4) not null default 0,
	`fixPrice` decimal(16,4) not null default 0,
	`lowPrice` decimal(16,4) not null default 0,
	`batPrice` decimal(16,4) not null default 0,
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (custId,itemId),
	index `ix_itemId_custId` (itemId,custId)
) type=InnoDB;



--**-----------------------------------------------------------------
create table if not exists `outStk` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`outOrderId` varchar (20) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`adjIncomeId` varchar (20) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 1,
	`recable` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`swClose` tinyint unsigned not null default 0,
	`recableAccId` varchar (10) not null default '',
	`incomeAccId` varchar (10) not null default '',
	`stockAccId` varchar (10) not null default '',
	`costAccId` varchar (10) not null default '',
	`taxAccId` varchar (10) not null default '',
	`discountAccId` varchar (10) not null default '',
	`disctAccId` varchar (10) not null default '',
	`memberId` varchar (20) not null default '',
	`recName` varchar(50) not null default '',
	`recTel` varchar(50) not null default '',
	`recMobile` varchar(50) not null default '',
	`recAddr` varchar(200) not null default '',

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_custId_tsDate` (custId,tsDate),
	index `ix_hrId_tsDate` (hrId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_outOrderId` (outOrderId),
	index `ix_invoiceNo` (invoiceNo),
	index `ix_certNo` (certNo),
	index `ix_adjIncomeId` (adjIncomeId)
) type=InnoDB;


create table if not exists `outStkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`subIncome` decimal(19,4) not null default 0,
	`discount` decimal(19,4) not null default 0,
	`disct` varchar (5) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`cost` decimal(16,4) not null default 0,
	`chkCost` tinyint unsigned not null default 0,
	`usrCost` decimal(16,4) not null default 0,
	`atCost` decimal(16,4) not null default 0,
	`isGift` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_itemId_tsDate` (itemId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_itemId_custId_tsDate` (itemId,custId,tsDate)
) type=InnoDB;




--**-----------------------------------------------------------------
create table if not exists `outStkBk` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`memberId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`outOrderId` varchar (20) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`adjIncomeId` varchar (20) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 1,
	`recable` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`swClose` tinyint unsigned not null default 0,
	`recableAccId` varchar (10) not null default '',
	`incomeAccId` varchar (10) not null default '',
	`stockAccId` varchar (10) not null default '',
	`costAccId` varchar (10) not null default '',
	`taxAccId` varchar (10) not null default '',
	`discountAccId` varchar (10) not null default '',
	`disctAccId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_custId_tsDate` (custId,tsDate),
	index `ix_hrId_tsDate` (hrId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_outOrderId` (outOrderId),
	index `ix_invoiceNo` (invoiceNo),
	index `ix_certNo` (certNo),
	index `ix_adjIncomeId` (adjIncomeId)
) type=InnoDB;


create table if not exists `outStkBkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`subIncome` decimal(19,4) not null default 0,
	`discount` decimal(19,4) not null default 0,
	`disct` varchar (5) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`cost` decimal(16,4) not null default 0,
	`chkCost` tinyint unsigned not null default 0,
	`usrCost` decimal(16,4) not null default 0,
	`atCost` decimal(16,4) not null default 0,
	`isGift` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_itemId_tsDate` (itemId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_itemId_custId_tsDate` (itemId,custId,tsDate)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `arAdj` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`memberId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`adjIncomeId` varchar (20) not null default '',
	
	`acc` smallint unsigned not null default 0,
	`accText` varchar (30) not null default '',
	`tsType` tinyint unsigned not null default 0,
	`accMny` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`swIncome` tinyint unsigned not null default 0,
	
	`begDate` date not null default '0001-1-1',
	`endDate` date not null default '0001-1-1',
	`accMnyOk` decimal(19,4) not null default 0,
	
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`acCodeId` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_custId_tsDate` (custId,tsDate), 
	index `ix_hrId_tsDate` (hrId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_invoiceNo` (invoiceNo),
	index `ix_certNo` (certNo),
	index `ix_adjIncomeId` (adjIncomeId)
) type=InnoDB;



--**-----------------------------------------------------------------

create table if not exists `arCancel` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`memberId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`ckBankId` varchar (20) not null default '',
	`checkNo` varchar (30) not null default '',
	`checkDate` date not null default '0001-1-1',
	`checkMny` decimal(19,4) not null default 0,
	`cashMny` decimal(19,4) not null default 0,
	`remitMny` decimal(19,4) not null default 0,
	`cardMny` decimal(19,4) not null default 0,
	`expMny` decimal(19,4) not null default 0,
	`otherMny` decimal(19,4) not null default 0,
	`checkAccId` varchar (10) not null default '',
	`cashAccId` varchar (10) not null default '',
	`remitAccId` varchar (10) not null default '',
	`cardAccId` varchar (10) not null default '',
	`expAccId` varchar (10) not null default '',
	`otherAccId` varchar (10) not null default '',
	
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`otherCode` varchar (10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_custId_tsDate` (custId,tsDate),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `arCancelDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`listId` varchar (30) not null default '',
	`cancelOk` decimal(19,4) not null default 0,
	`swDel` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_listId_tsDate` (listId,tsDate) 
) type=InnoDB;















create table if not exists `itemPst`(
	`stkId` varchar(10) not null default '',
	`itemId` varchar(30) not null default '',
	`pstId` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (stkId,itemId,pstId), 
	index `ix_stkId_pstId_itemId` (stkId,pstId,itemId)
) type=InnoDB ;

create table if not exists `itemPstDeleteLog`(
	`id` bigint unsigned not null auto_increment,
	`stkId` varchar(10) not null default '',
	`itemId` varchar(30) not null default '',
	`state` tinyint unsigned not null default 0,
	`pstId` varchar(50) not null default '',
	`pstId2` varchar(50) not null default '',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	primary key (id), 
	index `ix_stkId_itemId` (stkId,itemId)
) type=InnoDB ;



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------

create table if not exists `outOrder` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`outDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`swOut` smallint unsigned not null default 0,
	`hrId` varchar (10) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`packNo` varchar (30) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 0,
	`recable` decimal(19,4) not null default 0,
	`carr` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swClose` tinyint unsigned not null default 0,
	`isCloseList` tinyint unsigned not null default 0,
	`isPack` tinyint unsigned not null default 0,
	`isOutStk` tinyint unsigned not null default 0,
	`swEditMode` tinyint unsigned not null default 0,
	`managerx` varchar(20) not null default '~',
	`memberId` varchar (20) not null default '',
	`recName` varchar(50) not null default '',
	`recTel` varchar(50) not null default '',
	`recMobile` varchar(50) not null default '',
	`recAddr` varchar(200) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_custId_tsDate` (custId,tsDate),
	index `ix_batchNo` (batchNo),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `outOrderDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`isClose` tinyint unsigned not null default 0,
	`outDate` date not null default '0001-1-1',
	`outQty` decimal(15,4) not null default 0,
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	`disct` varchar (5) not null default '',
	`packIndex` smallint unsigned not null default 0,
	`packQty` decimal(15,4) not null default 0,

	primary key (rela,no),
	index `ix_itemId` (itemId)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `memOrder` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 0,
	`recable` decimal(19,4) not null default 0,
	`carr` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`isCloseList` tinyint unsigned not null default 0,
	`isOutOrder` tinyint unsigned not null default 0,
	`memberId` varchar (20) not null default '',
	`recName` varchar(50) not null default '',
	`recTel` varchar(50) not null default '',
	`recMobile` varchar(50) not null default '',
	`recAddr` varchar(200) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate)
) type=InnoDB;


create table if not exists `memOrderDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`isClose` tinyint unsigned not null default 0,
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	`disct` varchar (5) not null default '',

	primary key (rela,no)
) type=InnoDB;




--**-----------------------------------------------------------------

create table if not exists `outQuot` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`expDate` date not null default '0001-1-1',
	`custId` varchar (20) not null default '',
	`memberId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 0,
	`recable` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swClose` tinyint unsigned not null default 0,
	`isCloseList` tinyint unsigned not null default 0,
	`custName` varchar(100) not null default '',
	`custTel` varchar(50) not null default '',
	`custFax` varchar(50) not null default '',
	`custLiaison` varchar(50) not null default '',
 	`custAddr` varchar(200) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `outQuotDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`isClose` tinyint unsigned not null default 0,
	`expDate` date not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	`disct` varchar (5) not null default '',
	`memo` varchar (250) not null default '',
	
	primary key (rela,no)
) type=InnoDB;



--**-----------------------------------------------------------------
create table if not exists `inOrder` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`inDate` date not null default '0001-1-1',
	`prvdId` varchar (20) not null default '',
	`hrId` varchar (10) not null default '',
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`discount` decimal(19,4) not null default 0,
	`disct` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`swTax` tinyint unsigned not null default 0,
	`payable` decimal(19,4) not null default 0,
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swClose` tinyint unsigned not null default 0,
	`isCloseList` tinyint unsigned not null default 0,
	`managerx` varchar(20) not null default '~',
		
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_batchNo` (batchNo),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `inOrderDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`isClose` tinyint unsigned not null default 0,
	`inDate` date not null default '0001-1-1',
	`inQty` decimal(15,4) not null default 0,
	`swDel` tinyint unsigned not null default 0,
	`isGift` tinyint unsigned not null default 0,
	`disct` varchar (5) not null default '',
	
	primary key (rela,no),
	index `ix_itemId` (itemId)
) type=InnoDB;



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------



--**-----------------------------------------------------------------


--**-----------------------------------------------------------------


--**-----------------------------------------------------------------

--**-----------------------------------------------------------------















	

create table if not exists `chkInitQty` (
	`stkId` varchar (10) not null default '', 
	`itemId` varchar (30) not null default '', 
	`cost` decimal(16,4) not null default 0,
	`inCost` decimal(16,4) not null default 0,
	`nowAvgCost` decimal(16,4) not null default 0,
	`avgCost` decimal(16,4) not null default 0,
	`isVirtual` tinyint unsigned not null default 0,
	`stock` decimal(17,4) not null default 0,
	`chkQty` decimal(17,4) not null default 0,
	`pstQty` decimal(17,4) not null default 0,
	`mapping` varchar (30) not null default '',
	`swCheck` tinyint unsigned not null default 0,
	`endStock` decimal(17,4) not null default 0,
	
	primary key (stkId,itemId) 
) type=InnoDB;




--**-----------------------------------------------------------------
create table if not exists `chkStk` (
	`listNo` varchar (20) not null default '',
	`stkId` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hrId` varchar (10) not null default '',
	`hrId2` varchar (10) not null default '',
	`hrId3` varchar (10) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`swType` tinyint unsigned not null default 0,
	`memo` varchar (250) not null default '',
	`swAdj` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_certNo` (certNo),
	index `ix_batchNo` (batchNo)
) type=InnoDB;


create table if not exists `chkStkDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`itemId` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`pst1` varchar (50) not null default '',
	`pst2` varchar (50) not null default '', 
	`pst3` varchar (50) not null default '', 
	`pst4` varchar (50) not null default '', 
	`stkId` varchar (10) not null default '',
	
	primary key (rela,no),
	index `ix_stkId_itemId` (stkId,itemId)
) type=InnoDB;



--**-----------------------------------------------------------------










create table if not exists `nodeAcct` (
	`id` varchar (10) not null default '',
	`name` varchar(100) not null default '',
	
	`regPassword` varchar (20) not null default '',
 	`code` smallint unsigned not null default 0,
	`regSerial` varchar (30) not null default '',
 	`swState` tinyint unsigned not null default 0,
	`workHost` varchar (200) not null default '',

	
	
	

	`saleDateBef` int not null default -24,
	`saleDateAft` int not null default 24,
	`saleDateAdjust` varchar (200) not null default '',
	`startTime` datetime not null default '0001-1-1',
	`stopTime` datetime not null default '0001-1-1',
	`memo` varchar (250) not null default '',
	
	
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id)
) type=InnoDB;

--**-------------------------------------------------------------------
create table if not exists `nodeAcctCtrl` (
	`nodeId` varchar (10) not null default '',
	`tranId` varchar (50) not null default '',
	`ltimer` bigint unsigned not null default 0,
	`lvalue` varchar (50) not null default '',
	`swBeg` tinyint unsigned not null default 0,
	`begTime` datetime not null default '0001-1-1',
	`swState` tinyint unsigned not null default 0,
	`workOrder` tinyint unsigned not null default 0,
	`tableId` varchar(50) not null default '',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (nodeId,tranId)
) type=InnoDB;

--**-------------------------------------------------------------------
create table if not exists `nodeAcctCheck` (
	`nodeId` varchar (10) not null default '',
	`stkId` varchar (10) not null default '',
	`cashNo` varchar (100) not null default '',
    `exStkId` varchar (10) not null default '',
	
	primary key (nodeId,stkId)
) type=InnoDB;

--**-------------------------------------------------------------------
create table if not exists `nodeAcctConvert` (
	`id` bigint unsigned not null,
	`swType` smallint unsigned not null default 1,
	`stkList` varchar (250) not null default '',
	`clientId` varchar (50) not null default '',
	`mainId` varchar (50) not null default '',
	`begTime` date not null default '0001-1-1',
	`endTime` date not null default '0001-1-1',
	`memo` varchar (250) not null default '',

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id),
	unique `ix_swType_clientId` (swType,clientId)
) type=InnoDB;



--**-------------------------------------------------------------------
create table if not exists `cashreg` (
	`id` varchar (10) not null default '',
	`stkId` varchar (10) not null default '',
	`cashNo` varchar (10) not null default '01',
	`name` varchar(100) not null default '',
	
	`saleDateBef` int not null default -15,
	`saleDateAft` int not null default 15,
	`saleDateAdjust` varchar (200) not null default '',
 	
	`swReg` tinyint unsigned not null default 0,
	`regPassword` varchar (20) not null default '',
 	`code` smallint unsigned not null default 0,
	`swState` tinyint unsigned not null default 0,
	`workHost` varchar (100) not null default '',
	`swChgRegPwd` tinyint unsigned not null default 0,
	
	`title` varchar (50) not null default '',
 	`compName` varchar (50) not null default '',
 	`posName` varchar (50) not null default '',
 	`addr` varchar (100) not null default '',
 	`unitNo` varchar (50) not null default '',
 	`tel` varchar (50) not null default '',
 	`adminId` varchar (20) not null default '',
	`adminPwd` varchar (20) not null default '',
 	
 	`memo` varchar(250) not null default '', 
	`lastLoginTime` datetime not null default '0001-1-1',
	`lastTime` datetime not null default '0001-1-1',
	`lastMemo` varchar(250) not null default '',

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id) 
) type=InnoDB;

insert ignore cashreg (id,creater,createTime) values ('CH00001','#sys',[##NOW]);
select @xcount := count(id) from cashreg;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='cashreg';


--**-------------------------------------------------------------------
create table if not exists `sale` (
	`listNo` varchar (25) not null default '',
	`stkId` varchar (10) not null default '',
	`cashNo` varchar (10) not null default '',
	`tsDate` date not null default '0001-1-1',
	
	`saleTime` datetime not null default '0001-1-1',
	`saleHr` tinyint unsigned not null default 0,
	`deparId` varchar (10) not null default '',
	`casher` varchar (10) not null default '',
	`seller` varchar (10) not null default '',
	`cusLvl` varchar (10) not null default '',
	`memberId` varchar (20) not null default '',
	`memberId2` varchar (20) not null default '',
	`custId` varchar (20) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`discount` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`recable` decimal(19,4) not null default 0,
	`income` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`memo` varchar (250) not null default '',
	
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	`isBomAdj` tinyint unsigned not null default 0,
	`exListNo` varchar (30) not null default '',
	
	`payCash` decimal(19,4) not null default 0,
	`payCard` decimal(19,4) not null default 0,
	`saleBk` decimal(19,4) not null default 0,
	`hxCounterId` varchar (20) not null default '',
	`hxDayTime` datetime not null default '0001-1-1',

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	`ltimer` bigint unsigned not null default 99,
	
	primary key (listNo),
	index `ix_ltimer_listNo` (ltimer,listNo), 
	index `ix_memberId_tsDate` (memberId,tsDate),
	index `ix_tsDate_stkId_cashNo` (tsDate,stkId,cashNo)
) type=InnoDB;


create table if not exists `saleDetail` (
	`rela` varchar (25) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`itemId` varchar (30) not null default '',
	`itemId2` varchar (30) not null default '',
	`qty` decimal(15,4) not null default 0,
	`price` decimal(16,4) not null default 0,
	`subtotal` decimal(19,4) not null default 0,
	`subIncome` decimal(19,4) not null default 0,
	`discount` decimal(19,4) not null default 0,
	`memo` varchar (200) not null default '',
	`cost` decimal(16,4) not null default 0,
	`chkCost` tinyint unsigned not null default 0,
	`usrCost` decimal(16,4) not null default 0,
	`atCost` decimal(16,4) not null default 0,
	`isGift` tinyint unsigned not null default 0,
	`disct` varchar (5) not null default '',
	
	primary key (rela,no),
	index `ix_itemId_tsDate` (itemId,tsDate),
	index `ix_tsDate` (tsDate)
) type=InnoDB;


create table if not exists `salePay` (
	`rela` varchar (25) not null default '',
	`no` smallint unsigned not null default 0,
	`payId` varchar (10) not null default '',
	`payId2` varchar (10) not null default '',
	`money` decimal(19,4) not null default 0,
	`certNo` varchar (50) not null default '',
	`memo` varchar (200) not null default '',
	
	primary key (rela,no)
) type=InnoDB;



--**-----------------------------------------------------------------
create table if not exists `payMode` (
	`id` varchar (10) not null default '',
	`name` varchar (100) not null default '',
	`keyName` varchar (100) not null default '',
	`memo` varchar (200) not null default '',
	`acCodeId` varchar (10) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`ltimer` bigint unsigned not null default 99,
	`isNoUse` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_ltimer_id` (ltimer,id)
) type=InnoDB;


insert ignore bjn_tableState values('payMode',0,0,0,''); 
insert ignore payMode set id='01',name='現金||现金', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='02',name='刷卡||刷卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='03',name='禮券||礼券', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='11',name='儲值卡||储值卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='12',name='聯合卡||联合卡', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
insert ignore payMode set id='99',name='其他||其他', creater='#sys', ltimer=[##LTIMER], createTime=[##NOW], updateTime=[##NOW];
select @xcount := count(id) from payMode;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='payMode';



--**-----------------------------------------------------------------
create table if not exists `outInvoice` (
	`id` varchar (30) not null default '',
	`tsDate` date not null default '0001-1-1',
	`certNo` varchar (30) not null default '',
	`stkId` varchar (10) not null default '',
	`cashNo` varchar (10) not null default '',
	`title` varchar (100) not null default '',
	`total` decimal(19,4) not null default 0,
	`free` decimal(19,4) not null default 0,
	`tax` decimal(19,4) not null default 0,
	`unitNo` varchar (30) not null default '',
	`memo` varchar (250) not null default '', 
	`swDel` tinyint unsigned not null default 0,
	`delDate` date not null default '0001-1-1',
	`listType` tinyint unsigned not null default 1,
	`taxType` tinyint unsigned not null default 1,
	`listTime` datetime not null default '0001-1-1',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	`ltimer` bigint unsigned not null default 99,
	
	primary key (id),
	index `ix_ltimer_id` (ltimer,id), 
	index `ix_certNo` (certNo),
	index `ix_tsDate_stkId_cashNo` (tsDate,stkId,cashNo),
	index `ix_delDate_stkId` (delDate,stkId) 
) type=InnoDB;







--**-----------------------------------------------------------------
create table if not exists `member` (
	`id` varchar(20) not null default '',
	`name` varchar(50) not null default '',
	`birthday` date not null default '0001-1-1',
	`sex` tinyint unsigned not null default 1,
	`idNo` varchar(30) not null default '',
	`occupation` varchar(30) not null default '',
	`position` varchar(30) not null default '',
	`tel` varchar(50) not null default '',
	`mobile` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`addr` varchar(200) not null default '',
	`zip` varchar(10) not null default '',
	`accAddr` varchar(200) not null default '',
	`fixTel` varchar(50) not null default '',
	`fixAddr` varchar(200) not null default '',
	`areaId` varchar(10) not null default '',
	`hrId` varchar(10) not null default '',
	
	`taxType` tinyint unsigned not null default 0,
	`unitNo` varchar(30) not null default '',
	`unitTitle` varchar(100) not null default '',
	`unitAddr` varchar(200) not null default '',
	
	`stkId` varchar(10) not null default '',
	`memberCardId` varchar(30) not null default '',
	`memberClsId` varchar(10) not null default '',
	
	`email` varchar(200) not null default '',
	`formula` varchar(100) not null default '',
	`odrFormula` varchar(100) not null default '',
	
	`closeDay` tinyint unsigned not null default 25,
	`swTax` tinyint unsigned not null default 0,
	`swClose` tinyint unsigned not null default 1,
	`swState` tinyint unsigned not null default 0,

	`swSumKey` tinyint unsigned not null default 0,
	`outCount` int unsigned not null default 0,
	`outTotal` decimal(19,4) not null default 0,
	`bkTotal` decimal(19,4) not null default 0,
	`arTotal` decimal(19,4) not null default 0,
	`outEndingId` varchar(10) not null default '',
	`isImg` blob,
	`iniValue` decimal(19,4) not null default 0,
	`nowValue` decimal(19,4) not null default 0,
	`iniPoint` decimal(19,4) not null default 0,
	`nowPoint` decimal(19,4) not null default 0,
	`salePwd` varchar(30) not null default '',
	`addValuePwd` varchar(30) not null default '',
 	`valueOutCount` int unsigned not null default 0,
	`valueOutTotal` decimal(19,4) not null default 0,
	`valueBkTotal` decimal(19,4) not null default 0,
	`swUnitValue` tinyint unsigned not null default 0,
	
	`swUgKey` tinyint unsigned not null default 0,
	
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
	
	`acDetailId` varchar(10) not null default '',
	`acUpdater` varchar(50) not null default '',
	`acUpdateTime` datetime not null default '0001-1-1',

	`shopUserId` varchar(200) not null default '',
	`shopUserPwd` varchar(30) not null default '',
	`shopUserName` varchar(50) not null default '',
	`shopCode` smallint unsigned not null default 0,
	`shopState` tinyint unsigned not null default 0,
	`shopLoginTimer` bigint unsigned not null default 0,
	`shopSysCtrl` text,
	`shopCustId` varchar(20) not null default '',
	`shopStkId` varchar(10) not null default '',
	`shopHrId` varchar(10) not null default '',
	`shopFormula` varchar(100) not null default '',
	`shopOrderMode` tinyint unsigned not null default 0,
	`shopMessage` varchar(200) not null default '',
	
	`sellAccount` varchar(50) not null default '',
	`remiAccount` varchar(50) not null default '',
	
	`ltimer` bigint unsigned not null default 99, 
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id), 
	index `ix_ltimer_id` (ltimer,id), 
	index `ix_idNo` (idNo),
	index `ix_tel` (tel),
	index `ix_memberCardId` (memberCardId)
) type=InnoDB;


--**-----------------------------------------------------------------
create table if not exists `memberCls` (
	`id` varchar(10) not null default '',
	`name` varchar(30) not null default '',
	`formula` varchar(100) not null default '',
	`ugFormula` varchar(100) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	
	`ltimer` bigint unsigned not null default 99,
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id), 
	index `ix_ltimer_id` (ltimer,id) 
) type=InnoDB;


--**-----------------------------------------------------------------

	
	









create table if not exists `wkAttend` (
	`id` bigint unsigned not null,
	`time` datetime not null default '0001-1-1',
	`hrId` varchar(10) not null default '',
	`swWork` tinyint unsigned not null default 1,
	`workMemo` varchar(30) not null default '',
	`memo` varchar(100) not null default '',
	`swDel` tinyint unsigned not null default 0, 
	`swAdd` tinyint unsigned not null default 0,
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (id),
	index `ix_time` (time) 
) type=InnoDB;





--**============================================================================
insert ignore bjn_tableState values('memberValue',0,0,0,''); 

create table if not exists `memberValue` (
	`id` bigint not null default 0,
	`tsDate` date not null default '0001-1-1',
	`memberId` varchar(20) not null default '',
	`swRsn` tinyint unsigned not null default 0,
	`value` decimal(19,4) not null default 0,
	`point` decimal(19,4) not null default 0,
 	`certNo` varchar(30) not null default '',
	`memberCardId` varchar(30) not null default '',
	`memberUnionId` varchar(10) not null default '',
	`memberSaleId` varchar(10) not null default '',
	`memo` varchar(250) not null default '',
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
 	`swType` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id),
	index ix_tsDate (tsDate),
	index ix_memberId_tsDate (memberId,tsDate)
) type=InnoDB ;


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('memberUnion',0,0,0,''); 

create table if not exists `memberUnion` (
	`id` varchar(10) not null default '',
	`name` varchar(50) not null default '',
	`loginId` varchar(30) not null default '',
	`loginPwd` varchar(30) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`swState` tinyint unsigned not null default 0,
	`memo` varchar(250) not null default '',
	`isConfig` tinyint unsigned not null default 0,
	`isLoginPwd` tinyint unsigned not null default 0,
	`isSaleNoValue` tinyint unsigned not null default 0,
	`swMemberNameMode` tinyint unsigned not null default 0,
	`isLastSaleMsg` tinyint unsigned not null default 0,
		
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id),
	index ix_loginId (loginId)
) type=InnoDB ;






--**============================================================================
insert ignore bjn_tableState values('hxCounter',0,0,0,''); 
create table if not exists `hxCounter` (
	`id` varchar(20) not null default '',
	`innerId` varchar(20) not null default '',
	`codeId` varchar(20) not null default '',
	`name` varchar(50) not null default '',
	`stkId` varchar(4) not null default '',
	`deparId` varchar(10) not null default '',
	`hrId` varchar(10) not null default '',
	`hxPrvdId` varchar(20) not null default '',
	`hxClassId` varchar(10) not null default '',
	`hxContId` varchar(20) not null default '',
	`contState` tinyint unsigned not null default 0,
	`hxContId2` varchar(20) not null default '',
	`floorAc` varchar(5) not null default '',
 	`floorNo` varchar(5) not null default '',
 	`areaSize` decimal(8,3) not null default 0,
	`areaUnit` tinyint unsigned not null default 0,
	`useSize` decimal(8,3) not null default 0,
	`useUnit` tinyint unsigned not null default 0,
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
	`swState` tinyint unsigned not null default 0,
	`acDetailId` varchar(10) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id),
	index ix_innerId (innerId),
	index ix_codeId (codeId)
) type=InnoDB ;


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxClass',0,0,0,''); 
create table if not exists `hxClass` (
	`id` varchar(10) not null default '',
	`name` varchar(50) not null default '',
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id)
) type=InnoDB ;


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPay',0,0,0,''); 
create table if not exists `hxPay` (
	`id` varchar(10) not null default '',
	`name` varchar(100) not null default '',
	`acCodeId` varchar (20) not null default '',
	`acCodeId2` varchar (20) not null default '',
	`param` decimal(19,4) not null default 0,
	`param2` decimal(19,4) not null default 0,
	`param3` decimal(19,4) not null default 0,
	`param4` decimal(19,4) not null default 0,
	`param5` decimal(19,4) not null default 0,
	
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id)
) type=InnoDB ;


insert ignore hxPay set id='01',name='月結應付款||月结应付款', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='02',name='進貨成本||进货成本', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='03',name='進貨退回||进货退回', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='04',name='進貨折讓||进货折让', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='05',name='進項稅||进项税', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='21',name='網路頻寬費||网路频宽费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='22',name='電話費||电话费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='23',name='水費||水费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='24',name='電費||电费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='25',name='租金||租金', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='26',name='廣告費||广告费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='27',name='裝潢費||装潢费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='28',name='修繕費||修缮费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='29',name='伙食費||伙食费', acCodeId='', creater='#sys', createTime=[##NOW];
insert ignore hxPay set id='30',name='代支雜費||代支杂费', acCodeId='', creater='#sys', createTime=[##NOW];

select @xcount := count(id) from hxPay;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='hxPay';


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxCont',0,0,0,''); 
create table if not exists `hxCont` (
	`id` varchar(20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hxCounterId` varchar(20) not null default '',
	`certNo` varchar(20) not null default '',
	`hrId` varchar(10) not null default '',
	`begDate` date not null default '0001-1-1',
	`endDate` date not null default '0001-1-1',
	`swType` tinyint unsigned not null default 0,
	
	`name` varchar(50) not null default '',
	`isCopyName` tinyint unsigned not null default 0,
	`fullName` varchar(100) not null default '',
	`comAddr` varchar(200) not null default '',
	`addr` varchar(200) not null default '',
	`unitAddr` varchar(200) not null default '',
	`unitNo` varchar(30) not null default '',
 	`bankNo` varchar(50) not null default '',
	`bankName` varchar(100) not null default '',
	`bankTitle` varchar(100) not null default '',
	`liaison` varchar(30) not null default '',
	`tel` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`mobile` varchar(50) not null default '',
	`email` varchar(200) not null default '',
	
	`liaison2` varchar(30) not null default '',
	`tel2` varchar(50) not null default '',
	`fax2` varchar(50) not null default '',
	`mobile2` varchar(50) not null default '',
	`email2` varchar(200) not null default '',
	
	`liaison3` varchar(30) not null default '',
	`tel3` varchar(50) not null default '',
	`fax3` varchar(50) not null default '',
	`mobile3` varchar(50) not null default '',
	`email3` varchar(200) not null default '',
	`cancelDate` date not null default '0001-1-1',
	`cancelMemo` varchar(100) not null default '',
	`backDate` date not null default '0001-1-1',
	`backMemo` varchar(100) not null default '',
	`swState` tinyint unsigned not null default 0,
	`checkDate` date not null default '0001-1-1',
	`swCheck` tinyint unsigned not null default 0,
	`swCont` tinyint unsigned not null default 0,
	`fixMny` decimal(19,4) not null default 0,
	`lowMny` decimal(19,4) not null default 0,
	`largMny` decimal(19,4) not null default 0,
 	`payTaxType` tinyint unsigned not null default 0,
	`payTaxRate` tinyint unsigned not null default 0,

	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id),
	index `ix_hxCounterId` (hxCounterId)
) type=InnoDB ;


create table if not exists `hxContPay` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`hxPayId` varchar (10) not null default '',
	`money` decimal(19,4) not null default 0,
	`formula` varchar (200) not null default '',
 	`memo` varchar (200) not null default '',

	primary key (rela,no)
) type=InnoDB;


create table if not exists `hxContItem` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`hxItemId` varchar (10) not null default '',
	`per` decimal(6,3) not null default 0,
	`minMny` decimal(19,4) not null default 0,
	`maxMny` decimal(19,4) not null default 0,
 	`memo` varchar (200) not null default '',

	primary key (rela,no)
) type=InnoDB;



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPayList',0,0,0,''); 
create table if not exists `hxPayList` (
	`listNo` varchar(20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hxCounterId` varchar(20) not null default '',
	`hrId` varchar (10) not null default '',
	
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
 
	`hxPayId` varchar (10) not null default '',
 	`tax` decimal(19,4) not null default 0,
	`payable` decimal(19,4) not null default 0,
	`cancelOk` decimal(19,4) not null default 0,
	`swMaker` tinyint unsigned not null default 0,
	`makeTime` datetime not null default '0001-1-1',
 	`makeExt` varchar (30) not null default '',
	`saleMny` decimal(19,4) not null default 0,
	`acCodeId` varchar (10) not null default '',
	
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
 	`swCheck` tinyint unsigned not null default 0,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swAcc` tinyint unsigned not null default 0,
 	`acPeremId` varchar (20) not null default '',
	`accDate` date not null default '0001-1-1',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (listNo),
	index `ix_hxCounterId_tsDate` (hxCounterId,tsDate),
	index `ix_tsDate` (tsDate),
	index `ix_certNoe` (certNo)
) type=InnoDB ;


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPayCancel',0,0,0,''); 
create table if not exists `hxPayCancel` (
	`listNo` varchar (20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hxCounterId` varchar(20) not null default '',
	`hrId` varchar (10) not null default '',
	
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	`ckBankId` varchar (20) not null default '',
	`checkNo` varchar (30) not null default '',
	`checkDate` date not null default '0001-1-1',
	`checkMny` decimal(19,4) not null default 0,
	`cashMny` decimal(19,4) not null default 0,
	`remitMny` decimal(19,4) not null default 0,
	`cardMny` decimal(19,4) not null default 0,
	`expMny` decimal(19,4) not null default 0,
	`otherMny` decimal(19,4) not null default 0,
	
	`memo` text,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`swDel` tinyint unsigned not null default 0,
	`swCheck` tinyint unsigned not null default 0,
	`swAcc` tinyint unsigned not null default 0,
	`accDate` date not null default '0001-1-1',
	`acPeremId` varchar (20) not null default '',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',
	
	primary key (listNo),
	index `ix_tsDate` (tsDate),
	index `ix_hxCounterId_tsDate` (hxCounterId,tsDate),
	index `ix_certNo` (certNo)
) type=InnoDB;


create table if not exists `hxPayCancelDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`tsDate` date not null default '0001-1-1',
	`listId` varchar (30) not null default '',
	`cancelOk` decimal(19,4) not null default 0,
	`swDel` tinyint unsigned not null default 0,
	
	primary key (rela,no),
	index `ix_listId_tsDate` (listId,tsDate) 
) type=InnoDB;



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxItem',0,0,0,''); 
create table if not exists `hxItem` (
	`id` varchar(10) not null default '',
	`name` varchar(100) not null default '',
	`per` decimal(6,3) not null default 0,
	`minMny` decimal(19,4) not null default 0,
	`maxMny` decimal(19,4) not null default 0,
	`formula` varchar (200) not null default '',
 	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id)
) type=InnoDB ;


insert ignore hxItem set id='01',name='一折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='02',name='二折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='03',name='三折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='04',name='四折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='05',name='五折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='06',name='六折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='07',name='七折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='08',name='八折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='09',name='九折品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='10',name='正品', creater='#sys', createTime=[##NOW];
insert ignore hxItem set id='11',name='單筆大額||单笔大额', creater='#sys', createTime=[##NOW];

select @xcount := count(id) from hxItem;
update bjn_tableState set count=@xcount, last=[##LTIMER] where id='hxItem';


--**-----------------------------------------------------------------
create table if not exists `hxSaleDay` (
	`hxCounterId` varchar(20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hxItemId` varchar(10) not null default '',
	`per` decimal(6,3) not null default 0,
	`saleMny` decimal(19,4) not null default 0,
	`adjMny` decimal(19,4) not null default 0,
	`payable` decimal(19,4) not null default 0,
	`contExt` varchar(50) not null default '',
	`itemExt` varchar(50) not null default '',
	`perExt` varchar(50) not null default '',
	`dayTime` datetime not null default '0001-1-1',
	`monTime` datetime not null default '0001-1-1',
	
	primary key (hxCounterId,tsDate,hxItemId),
	index `ix_tsDate` (tsDate)
) type=InnoDB ;


--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxSaleAdj',0,0,0,''); 
create table if not exists `hxSaleAdj` (
	`listNo` varchar(20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`hxCounterId` varchar(20) not null default '',
	`hrId` varchar (10) not null default '',
	`adjDate` date not null default '0001-1-1',
	`hxItemId` varchar(10) not null default '',
	`adjDate2` date not null default '0001-1-1',
	`hxItemId2` varchar(10) not null default '',
	
	`invoiceNo` varchar (30) not null default '',
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
 	`adjMny` decimal(19,4) not null default 0,
	
	`memo` text,
	`swDel` tinyint unsigned not null default 0,
 	`swCheck` tinyint unsigned not null default 0,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	`hxDayTime` datetime not null default '0001-1-1',
 	`hxDayTime2` datetime not null default '0001-1-1',

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (listNo),
	index `ix_adjDate` (adjDate),
	index `ix_adjDate2` (adjDate2),
	index `ix_certNo` (certNo)
) type=InnoDB ;



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxDiscount',0,0,0,''); 
create table if not exists `hxDiscount` (
	`listNo` varchar(20) not null default '',
	`tsDate` date not null default '0001-1-1',
	`stkId` varchar(4) not null default '',
	`hrId` varchar (10) not null default '',
	
	`hxItemId` varchar(10) not null default '',
	`per` decimal(6,3) not null default 0,
	
	`certNo` varchar (30) not null default '',
	`batchNo` varchar (30) not null default '',
	
 	`begDate` date not null default '0001-1-1',
	`endDate` date not null default '0001-1-1',
	
	`memo` varchar(250) not null default '',
	`swDel` tinyint unsigned not null default 0,
 	`swCheck` tinyint unsigned not null default 0,
	`swCls` tinyint unsigned not null default 0,
	`clsTime` datetime not null default '0001-1-1',
	
	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (listNo)
) type=InnoDB ;


create table if not exists `hxDiscountDetail` (
	`rela` varchar (20) not null default '',
	`no` smallint unsigned not null default 0,
	`hxCounterId` varchar (20) not null default '',
	`per` decimal(6,3) not null default 0,
	
	primary key (rela,no),
	index `ix_hxCounterId` (hxCounterId) 
) type=InnoDB;



--**-----------------------------------------------------------------
insert ignore bjn_tableState values('hxPrvd',0,0,0,''); 
create table if not exists `hxPrvd` (
	`id` varchar(20) not null default '',
	`name` varchar(50) not null default '',
	`fullName` varchar(100) not null default '',
	`comAddr` varchar(200) not null default '',
	`addr` varchar(200) not null default '',
	`unitAddr` varchar(200) not null default '',
	`unitNo` varchar(30) not null default '',
	`taxCode` varchar(30) not null default '',
	`hrId` varchar(10) not null default '',
 	`bankNo` varchar(50) not null default '',
	`bankName` varchar(100) not null default '',
	`bankTitle` varchar(100) not null default '',
	`swTax` tinyint unsigned not null default 0,
	`taxRate` tinyint unsigned not null default 0,
	`liaison` varchar(30) not null default '',
	`tel` varchar(50) not null default '',
	`fax` varchar(50) not null default '',
	`mobile` varchar(50) not null default '',
	`email` varchar(200) not null default '',
	
	`liaison2` varchar(30) not null default '',
	`tel2` varchar(50) not null default '',
	`fax2` varchar(50) not null default '',
	`mobile2` varchar(50) not null default '',
	`email2` varchar(200) not null default '',
	
	`liaison3` varchar(30) not null default '',
	`tel3` varchar(50) not null default '',
	`fax3` varchar(50) not null default '',
	`mobile3` varchar(50) not null default '',
	`email3` varchar(200) not null default '',
	
	`memo` text,
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id)
) type=InnoDB ;






--**-----------------------------------------------------------------
insert ignore bjn_tableState values('shopMess',0,0,0,''); 
create table if not exists `shopMess` (
	`id` bigint not null default 0,
	`tsTime` datetime not null default '0001-1-1',
	`name` varchar(50) not null default '',
	`tel` varchar(50) not null default '',
	`email` varchar(100) not null default '',
	`tip` varchar(50) not null default '',
	`relaId` bigint not null default 0,
	`itemId` varchar (30) not null default '',
	`memberId` varchar (20) not null default '',
	`msgText` text,
	`repText` text,
	`replier` varchar(50) not null default '',
	`repTime` datetime not null default '0001-1-1',
	`swRep` tinyint unsigned not null default 0,
	`memo` text,
	`swDel` tinyint unsigned not null default 0,

	`creater` varchar(50) not null default '',
	`createTime` datetime not null default '0001-1-1',
	`updater` varchar(50) not null default '',
	`updateTime` datetime not null default '0001-1-1',

	primary key (id)
) type=InnoDB ;
